<?php 
if( function_exists('acf_add_local_field_group') ):

acf_add_local_field_group(array(
	'key' => 'group_589d8994d6424',
	'title' => 'WooCommerce EU Vat Field - Options',
	'fields' => array(
		array(
			'key' => 'field_589d89d0fa057',
			'label' => 'Disable EU Vat Field',
			'name' => 'wcev_disable_eu_vat_field',
			'type' => 'true_false',
			'instructions' => 'Completely disabled EU Vat Field',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '100',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_589d8aaafa059',
			'label' => 'Is required',
			'name' => 'wcev_is_required',
			'type' => 'true_false',
			'instructions' => 'The EU Vat Field will be required',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_589d89d0fa057',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_58aea2e2c0bf5',
			'label' => 'Billing company is required',
			'name' => 'wcev_billing_company_is_required',
			'type' => 'true_false',
			'instructions' => 'You can optionally make the billing company field as required field',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_589d89d0fa057',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_59afe2c906802',
			'label' => 'Always show the field',
			'name' => 'wcev_always_show_the_field',
			'type' => 'true_false',
			'instructions' => 'The EU Vat field is showed only when an European country is selected in the billing address. By enabling this option the EU Vat field will be showed for any country. <strong>NOTE:</strong> validation will be performed only if a EU billing country is selected. For other countries, the vat number will be always considered valid.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_589d89d0fa057',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_59d7449e4efa9',
			'label' => 'Disable the VAT Field for the selected EU Countries',
			'name' => 'wcev_disabled_eu_countries',
			'type' => 'select',
			'instructions' => 'The EU Vat field can be optionally disabled for the selected EU Countries',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_589d89d0fa057',
						'operator' => '!=',
						'value' => '1',
					),
					array(
						'field' => 'field_59afe2c906802',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'AT' => 'Austria',
				'BE' => 'Belgium',
				'BG' => 'Bulgaria',
				'CY' => 'Cyprus',
				'CZ' => 'Czech Republic',
				'DE' => 'Germany',
				'DK' => 'Denmark',
				'EE' => 'Estonia',
				'GR' => 'Greece',
				'ES' => 'Spain',
				'FI' => 'Finland',
				'FR' => 'France',
				'GB' => 'United Kingdom',
				'HR' => 'Croatia',
				'HU' => 'Hungary',
				'IE' => 'Ireland',
				'IM' => 'Isle of Man',
				'IT' => 'Italy',
				'LT' => 'Lithuania',
				'LU' => 'Luxembourg',
				'LV' => 'Latvia',
				'MT' => 'Malta',
				'MC' => 'Monaco',
				'NL' => 'Netherlands',
				'PL' => 'Poland',
				'PT' => 'Portugal',
				'RO' => 'Romania',
				'SE' => 'Sweden',
				'SI' => 'Slovenia',
				'SK' => 'Slovakia',
			),
			'default_value' => array(
			),
			'allow_null' => 1,
			'multiple' => 1,
			'ui' => 1,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),
		array(
			'key' => 'field_5a74644e012dc',
			'label' => 'Disable VAT Field edit once a valid one has been entered',
			'name' => 'wcev_disable_field_edit',
			'type' => 'true_false',
			'instructions' => 'Once the user entered a valid VAT number on Checkout or via the My Account -> Addresses -> Edit Billing address area, it won\'t be editable anymore. It could be modified only by the site <strong>Admin</strong> or the <strong>Shop Manager</strong>',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_589d89d0fa057',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_589d89fdfa058',
			'label' => 'Enable validation',
			'name' => 'wcev_enable_validation',
			'type' => 'true_false',
			'instructions' => 'The plugin can optionally validate the field using the <a href="http://ec.europa.eu/taxation_customs/vies/vatRequest.html" target="_blank">VIES</a> method or simply checking if the submitted Vat has a <a href="https://en.wikipedia.org/wiki/VAT_identification_number" target="_blank">valid format</a>',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_589d89d0fa057',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5ae82423c8d08',
			'label' => 'Enable uniqueness check',
			'name' => 'wcev_enable_uniqueness_check',
			'type' => 'true_false',
			'instructions' => 'Vat number will be unique and the same number cannot be used by different users. Check will be performed on Checkout, My Account and Register pages.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_589d89d0fa057',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_58ada5624ee88',
			'label' => 'Validation Type',
			'name' => 'wcev_validation_type',
			'type' => 'select',
			'instructions' => 'Select which validation method has to be used: validate the number using the <a href="http://ec.europa.eu/taxation_customs/vies/vatRequest.html" target="_blank">VIES</a> method or if the plugin has to just to check if the vat number has a <a href="https://en.wikipedia.org/wiki/VAT_identification_number" target="_blank">valid format</a>. <strong>NOTE:</strong> If you enabled the <i>Always how the field</i> option, the <i>valid format</i> will always fail in case the choosen billing country is extra european. This is because the Vat number validity check is performed according to the associated billing country.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_589d89d0fa057',
						'operator' => '!=',
						'value' => '1',
					),
					array(
						'field' => 'field_589d89fdfa058',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'valid_format' => 'Valid format',
				'vies' => 'Vies validation',
			),
			'default_value' => array(
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 1,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),
		array(
			'key' => 'field_5add9c289861f',
			'label' => 'Disable Vies validation for local business',
			'name' => 'wcev_disable_vies_for_local_business',
			'type' => 'true_false',
			'instructions' => 'For local business (business that are located in the same billing country of the store) Vies validation will not be perfomed. Instead of it will be just performed if the entered VAT number has a valid format.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_589d89d0fa057',
						'operator' => '!=',
						'value' => '1',
					),
					array(
						'field' => 'field_589d89fdfa058',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_58ada5624ee88',
						'operator' => '==',
						'value' => 'vies',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_589d8ac7fa05a',
			'label' => 'Show "Require invoice" option',
			'name' => 'wcev_show_require_invoice_option',
			'type' => 'true_false',
			'instructions' => 'A "Require invoice" checkbox can optionally be showed allowing the user to request an invoice. The user choice will be visible on both WooCommerce emails and Admin order details page.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_589d89d0fa057',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5908c06c6b9a5',
			'label' => 'Show "Business/Consumer" selector',
			'name' => 'wcev_show_business_consumer_selector',
			'type' => 'true_false',
			'instructions' => '<p>A "Business/Consumer" selector can be optionally showed allowing the user to identify himself as a consumer or as a business. <strong>NOTE:</strong> if this option is active, Vat and Company name fields will be showed only if the user identify himself as Business.</p>
<p>Labels can be customized using the <strong>Eu Vat Field - Texts</strong> menu</p>',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_589d89d0fa057',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_589d8bcbfa05b',
			'label' => 'Show EU Vat Field only when the user selects the "Require invoice" option',
			'name' => 'wcev_show_eu_vat_field_only_when_the_user_requests_an_invoice',
			'type' => 'true_false',
			'instructions' => 'The EU Vat Field will be visible only if the user checks the option to request an invoice',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_589d8ac7fa05a',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_589d89d0fa057',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_589dc40ab4bb0',
			'label' => 'Vat Number is not required checking the "Require invoice" option',
			'name' => 'wcev_requested_invoice_not_required',
			'type' => 'true_false',
			'instructions' => 'By default if the user checks the <strong>Request invoice</strong> option, the field will become required. Turn on this option to leave the field always as optional',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_589d89d0fa057',
						'operator' => '!=',
						'value' => '1',
					),
					array(
						'field' => 'field_589d8ac7fa05a',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_589d8aaafa059',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_59437d7000618',
			'label' => 'Show Company name field only when the Vat field is showed',
			'name' => 'wcev_show_company_name_field_only_when_the_user_requests_an_invoice',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_589d8bcbfa05b',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_589d89d0fa057',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_58a1f727bd1b7',
			'label' => 'Tax removal',
			'name' => 'wcev_tax_removal',
			'type' => 'true_false',
			'instructions' => 'Optionally for user who enter a VAT Number taxes will be removed from cart. Products will showed on Shop and Product pages without taxes.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_589d89d0fa057',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_58a1f766bd1b8',
			'label' => 'Tax removal for local based users',
			'name' => 'wcev_tax_removal_for_local_based_users',
			'type' => 'true_false',
			'instructions' => 'By default tax are removed only for user that are based in countries different from the store base location (</strong>WooCommerce -> Settings -> General</strong>). Enable this option to remove taxes also for users based on the same country fo the store.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_58a1f727bd1b7',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_589d89d0fa057',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5a65aa5747a7c',
			'label' => 'Show "Reverse charge" text on products cart table',
			'name' => 'wcev_reverse_charge_text_on_cart_table',
			'type' => 'true_false',
			'instructions' => 'On products cart table on both Cart and Checkout pages will be showed a text reporting the Vat reverse charge. Text can be customized via the <strong>Eu Vat field - Texts</strong> menu.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_589d89d0fa057',
						'operator' => '!=',
						'value' => '1',
					),
					array(
						'field' => 'field_58a1f727bd1b7',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5de0df388157f',
			'label' => 'Italy',
			'name' => 'italy',
			'type' => 'divider',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'custom_css' => '',
			'font_size' => 14,
		),
		array(
			'key' => 'field_5ce43a36d168b',
			'label' => 'SDI/Pec Field - Mandatory',
			'name' => 'wcev_sdi_pec_mandatory',
			'type' => 'true_false',
			'instructions' => 'Italy SDI/Pec field can be optinally set as mandatory.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_589d89d0fa057',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5da5f3814a46d',
			'label' => 'Codice fiscale Field - Disable',
			'name' => 'wcev_disable_it_codice_fiscale',
			'type' => 'true_false',
			'instructions' => 'Disable codice fiscale field.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_589d89d0fa057',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5ddb86d1e38c6',
			'label' => 'Codice fiscale Field - Mandatory',
			'name' => 'wcev_it_codice_fiscale_mandatory',
			'type' => 'true_false',
			'instructions' => 'Codice fiscale field can be optinally set as mandatory.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_589d89d0fa057',
						'operator' => '!=',
						'value' => '1',
					),
					array(
						'field' => 'field_5da5f3814a46d',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5ea6d44e20685',
			'label' => 'Codice fiscale Field - Disable format validation',
			'name' => 'wcev_it_codice_fiscale_disable_validation',
			'type' => 'true_false',
			'instructions' => 'Disable format validation process.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_589d89d0fa057',
						'operator' => '!=',
						'value' => '1',
					),
					array(
						'field' => 'field_5da5f3814a46d',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5de0e09d55d71',
			'label' => 'Spain',
			'name' => 'spain',
			'type' => 'divider',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'custom_css' => '',
			'font_size' => 14,
		),
		array(
			'key' => 'field_5de0e0b355d72',
			'label' => 'NIF / NIE Field - Disable',
			'name' => 'wcev_disable_es_nif_nie_field',
			'type' => 'true_false',
			'instructions' => 'Disable NIF / NIE field.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_589d89d0fa057',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5efb5fdc715f0',
			'label' => 'Slovakia',
			'name' => 'spain_copy',
			'type' => 'divider',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'custom_css' => '',
			'font_size' => 14,
		),
		array(
			'key' => 'field_5efb5ff0715f1',
			'label' => 'Company IČO - Disable mandatory',
			'name' => 'wcev_sk_disable_company_id_mandatory',
			'type' => 'true_false',
			'instructions' => 'Company IČO mandatory option can be optionally disabled',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_589d89d0fa057',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5efc383b748c1',
			'label' => 'Company DIČ - Disable mandatory',
			'name' => 'wcev_sk_disable_company_dic_mandatory',
			'type' => 'true_false',
			'instructions' => 'Company DIČ mandatory option can be optionally disabled',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_589d89d0fa057',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5efc4143d0b5c',
			'label' => 'Czech Republic',
			'name' => 'spain_copy2',
			'type' => 'divider',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'custom_css' => '',
			'font_size' => 14,
		),
		array(
			'key' => 'field_5efc4152d0b5d',
			'label' => 'Company IČ - Disable mandatory',
			'name' => 'wcev_cz_disable_company_id_mandatory',
			'type' => 'true_false',
			'instructions' => 'Company IČ mandatory option can be optionally disabled',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_589d89d0fa057',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5de0df0d8157e',
			'label' => 'B2B',
			'name' => 'b2b',
			'type' => 'divider',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'custom_css' => '',
			'font_size' => 14,
		),
		array(
			'key' => 'field_5ae17e44aaaa4',
			'label' => 'Only business can register',
			'name' => 'wcev_register_page_only_business_can_register',
			'type' => 'true_false',
			'instructions' => 'On register page will be showed Vat and Billing country fields. Only user having a valid Vat number will be able to register. Vat number will be validated according the previous options.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_589d89d0fa057',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '33',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5ae83771cbdbd',
			'label' => 'Hide prices & Add to cart button for guest customers',
			'name' => 'wcev_hide_prices_to_guests',
			'type' => 'true_false',
			'instructions' => 'Product prices and add to cart button will be hidden for guest customers and they will not be able to complete the checkout. Optionally you can set a text to be showed instead via the Texts menu',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_589d89d0fa057',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '33',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5e28423f81f51',
			'label' => 'Show state field',
			'name' => 'wcev_b2b_show_state_field',
			'type' => 'true_false',
			'instructions' => 'By default only country selector is shown. Check this option to display the state field too.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_589d89d0fa057',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '34',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5ae17f2aaaaa5',
			'label' => 'Show Billing company name field on Registration page',
			'name' => 'wcev_register_page_show_billing_company_field',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_589d89d0fa057',
						'operator' => '!=',
						'value' => '1',
					),
					array(
						'field' => 'field_5ae17e44aaaa4',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5ae17f5baaaa6',
			'label' => 'Billing company name field is mandatory on Registration page',
			'name' => 'wcev_register_page_show_billing_company_field_is_mandatory',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_589d89d0fa057',
						'operator' => '!=',
						'value' => '1',
					),
					array(
						'field' => 'field_5ae17e44aaaa4',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_5ae17f2aaaaa5',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 1,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'options_page',
				'operator' => '==',
				'value' => 'acf-options-eu-vat-field-options',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_589dcabfa0f4d',
	'title' => 'WooCommerce EU Vat Field - Texts: General',
	'fields' => array(
		array(
			'key' => 'field_589de47666080',
			'label' => 'Vat Field label',
			'name' => 'wcev_field_label',
			'type' => 'text',
			'instructions' => 'This is the label showed before the input EU Vat field',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '33',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Vat Number',
			'placeholder' => 'Vat Number',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_589de4b566081',
			'label' => 'Vat Field place holder',
			'name' => 'wcev_field_place_holder',
			'type' => 'text',
			'instructions' => 'This is the placeholder showed inside the input EU Vat field',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '33',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Vat Number',
			'placeholder' => 'Vat Number',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_589e022c41c18',
			'label' => 'Require invoice label',
			'name' => 'wcev_require_invoice_label',
			'type' => 'text',
			'instructions' => 'This is the label for the option to require the invoice',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '34',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'I need an invoice',
			'placeholder' => 'I need an invoice',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5908c2ed0948b',
			'label' => 'Consumer/Business selector label',
			'name' => 'wceu_consumer_business_selector_label',
			'type' => 'text',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '33',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Business type',
			'placeholder' => 'Business type',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5908c3410948c',
			'label' => 'Consumer/Business selector: Consumer option label',
			'name' => 'wceu_consumer_option_label',
			'type' => 'text',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '33',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Consumer',
			'placeholder' => 'Consumer',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5908c3810948d',
			'label' => 'Consumer/Business selector: Business option label',
			'name' => 'wceu_business_option_label',
			'type' => 'text',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '34',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Business',
			'placeholder' => 'Business',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5a65abfeff31f',
			'label' => 'Reverse charge label',
			'name' => 'wcev_reverse_charge_label',
			'type' => 'text',
			'instructions' => 'Can be optionally showed a text on products cart table reporting that taxes have been removed. To enable it use the <strong>Vat field - Options</strong> menu -> Taxes removal options and use this option to customize it.',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Vat Reverse Charge',
			'placeholder' => 'Vat Reverse Charge',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_589de4d866082',
			'label' => 'Validation error text',
			'name' => 'wcev_error_text',
			'type' => 'wysiwyg',
			'instructions' => 'This message is displayed if the validation fails',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Vat number is invalid',
			'tabs' => 'all',
			'toolbar' => 'basic',
			'media_upload' => 0,
			'delay' => 0,
		),
		array(
			'key' => 'field_5ae825b0a3743',
			'label' => 'Unique Vat number check fail text',
			'name' => 'wcev_unique_vat_number_check_fail_text',
			'type' => 'wysiwyg',
			'instructions' => 'This message is displayed if the entered vat number is not unique (it has already been associated to another user).',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Vat number has been already associated to another user.',
			'tabs' => 'all',
			'toolbar' => 'basic',
			'media_upload' => 0,
			'delay' => 0,
		),
		array(
			'key' => 'field_5ae88407b807b',
			'label' => 'Shop page - Text to show instead of the "add to cart button" when the price is hidden',
			'name' => 'wcev_shop_page_price_hidden_text',
			'type' => 'wysiwyg',
			'instructions' => 'This message is displayed when the product prices are hidden',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'tabs' => 'all',
			'toolbar' => 'basic',
			'media_upload' => 0,
			'delay' => 0,
		),
		array(
			'key' => 'field_5ae88469b807c',
			'label' => 'Product page - Text to show insteand of the "add to cart button" when price is the hidden',
			'name' => 'wcev_product_page_price_hidden_text',
			'type' => 'wysiwyg',
			'instructions' => 'This message is displayed when the product prices are hidden',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'tabs' => 'all',
			'toolbar' => 'basic',
			'media_upload' => 0,
			'delay' => 0,
		),
		array(
			'key' => 'field_5f61ae9b4ef67',
			'label' => 'Shop page - Text to show as notice when the price is hidden',
			'name' => 'wcev_shop_page_archive_description_price_hidden_text',
			'type' => 'wysiwyg',
			'instructions' => 'This message is displayed when the product prices are hidden',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'tabs' => 'all',
			'toolbar' => 'full',
			'media_upload' => 0,
			'delay' => 0,
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'options_page',
				'operator' => '==',
				'value' => 'acf-options-eu-vat-field-texts',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_5c8384d531049',
	'title' => 'WooCommerce EU Vat Field – Texts: Italy fields',
	'fields' => array(
		array(
			'key' => 'field_5c8384dfdf7a8',
			'label' => 'SDI/Pec field label',
			'name' => 'wcev_it_sid_pec_label',
			'type' => 'text',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'SDI/Pec',
			'placeholder' => 'SDI/Pec',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5db977ce8e77c',
			'label' => 'SDI/Pec field place holder',
			'name' => 'wcev_it_sid_pec_place_holder',
			'type' => 'text',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'SDI/Pec',
			'placeholder' => 'SDI/Pec',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5db977ff8e77d',
			'label' => 'Codice Fiscale field label',
			'name' => 'wcev_it_cod_fiscale_label',
			'type' => 'text',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Codice Fiscale',
			'placeholder' => 'Codice Fiscale',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5db9781e8e77e',
			'label' => 'Codice Fiscale field place holder',
			'name' => 'wcev_it_cod_fiscale_place_holder',
			'type' => 'text',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Codice Fiscale',
			'placeholder' => 'Codice Fiscale',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5c838518df7a9',
			'label' => 'SDI/Pec description',
			'name' => 'wcev_it_sid_pec_description',
			'type' => 'wysiwyg',
			'instructions' => 'SDI/Pec field description',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'tabs' => 'all',
			'toolbar' => 'basic',
			'media_upload' => 0,
			'delay' => 0,
		),
		array(
			'key' => 'field_5db978d18e77f',
			'label' => 'Codice Fiscale description',
			'name' => 'wcev_it_cod_fiscale_description',
			'type' => 'wysiwyg',
			'instructions' => 'Codice Fiscale field description',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'tabs' => 'all',
			'toolbar' => 'basic',
			'media_upload' => 0,
			'delay' => 0,
		),
		array(
			'key' => 'field_5c838848a52a2',
			'label' => 'Empty Vat field error text',
			'name' => 'wcev_it_vat_field_empty_error_text',
			'type' => 'wysiwyg',
			'instructions' => 'In case a SDI/Pec has been entered and the vat field is empty, the following message will be showed',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Vat field cannot be empty. Enter a valid vat or remove the SDI/Pec field content.',
			'tabs' => 'all',
			'toolbar' => 'basic',
			'media_upload' => 0,
			'delay' => 0,
		),
		array(
			'key' => 'field_5c838531df7aa',
			'label' => 'SDI/Pec field validation error text',
			'name' => 'wcev_it_sid_pec_validation_message',
			'type' => 'wysiwyg',
			'instructions' => 'Text shown when an invalid email or invalid SDI lenght code has been entered',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'SDI/Pec has an invalid format. Please check!',
			'tabs' => 'all',
			'toolbar' => 'basic',
			'media_upload' => 0,
			'delay' => 0,
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'options_page',
				'operator' => '==',
				'value' => 'acf-options-eu-vat-field-texts',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_5de0e1c7190e4',
	'title' => 'WooCommerce EU Vat Field – Texts: Spain fields',
	'fields' => array(
		array(
			'key' => 'field_5de0e1edb5c53',
			'label' => 'NIF / NIE field label',
			'name' => 'wcev_es_nif_nie_label',
			'type' => 'text',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'NIF / NIE',
			'placeholder' => 'NIF / NIE',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5de0e233b5c54',
			'label' => 'NIF / NIE Description',
			'name' => 'wcev_es_nif_nie_description',
			'type' => 'wysiwyg',
			'instructions' => 'NIF / NIE field description',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'tabs' => 'all',
			'toolbar' => 'basic',
			'media_upload' => 0,
			'delay' => 0,
		),
		array(
			'key' => 'field_5de0e5f048f47',
			'label' => 'NIF / NIE Validation error text',
			'name' => 'wcev_es_nif_nie_validation_error_text',
			'type' => 'wysiwyg',
			'instructions' => 'NIF / NIE validaiton error shown if a invalid code has been detected.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'NIF / NIE code has an invalid format. Please check!',
			'tabs' => 'all',
			'toolbar' => 'basic',
			'media_upload' => 0,
			'delay' => 0,
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'options_page',
				'operator' => '==',
				'value' => 'acf-options-eu-vat-field-texts',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_5efc3ffebb273',
	'title' => 'WooCommerce EU Vat Field – Texts: Czech Republic fields',
	'fields' => array(
		array(
			'key' => 'field_5efc3ffee1fa8',
			'label' => 'Company IČ',
			'name' => 'wcev_cz_company_id_label',
			'type' => 'text',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Company IČ',
			'placeholder' => 'Company IČ',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'options_page',
				'operator' => '==',
				'value' => 'acf-options-eu-vat-field-texts',
			),
		),
	),
	'menu_order' => 1,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_5efb5f5e48bbd',
	'title' => 'WooCommerce EU Vat Field – Texts: Slovakia fields',
	'fields' => array(
		array(
			'key' => 'field_5efb5f5e63ee4',
			'label' => 'Company IČO',
			'name' => 'wcev_sk_company_id_label',
			'type' => 'text',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Company IČO',
			'placeholder' => 'Company IČO',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5efc37cb2b252',
			'label' => 'Company DIČ',
			'name' => 'wcev_sk_company_dic_label',
			'type' => 'text',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Company DIČ',
			'placeholder' => 'Company DIČ',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'options_page',
				'operator' => '==',
				'value' => 'acf-options-eu-vat-field-texts',
			),
		),
	),
	'menu_order' => 1,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => true,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_5e008d391bba5',
	'title' => 'WooCommerce EU Vat Field – Texts: Greece fields',
	'fields' => array(
		array(
			'key' => 'field_5e008d394b307',
			'label' => 'Tax office field label',
			'name' => 'wcev_gr_tax_office_label',
			'type' => 'text',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Tax office',
			'placeholder' => 'Tax office',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5e008f3a37150',
			'label' => 'Tax office field placeholder',
			'name' => 'wcev_gr_tax_office_place_holder',
			'type' => 'text',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Tax office',
			'placeholder' => 'Tax office',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5e008d7a6a627',
			'label' => 'Business activity label',
			'name' => 'wcev_gr_business_activity_label',
			'type' => 'text',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Business activity',
			'placeholder' => 'Business activity',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5e008f5137151',
			'label' => 'Business activity placeholder',
			'name' => 'wcev_gr_business_activity_place_holder',
			'type' => 'text',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Business activity',
			'placeholder' => 'Business activity',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5e008d394b346',
			'label' => 'Tax office Description',
			'name' => 'wcev_gr_tax_office_description',
			'type' => 'wysiwyg',
			'instructions' => 'Tax office field description',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'tabs' => 'all',
			'toolbar' => 'basic',
			'media_upload' => 0,
			'delay' => 0,
		),
		array(
			'key' => 'field_5e008da86a628',
			'label' => 'Business activity Description',
			'name' => 'wcev_gr_business_activity_description',
			'type' => 'wysiwyg',
			'instructions' => 'Business activity field description',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'tabs' => 'all',
			'toolbar' => 'basic',
			'media_upload' => 0,
			'delay' => 0,
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'options_page',
				'operator' => '==',
				'value' => 'acf-options-eu-vat-field-texts',
			),
		),
	),
	'menu_order' => 3,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => true,
	'description' => '',
));

endif;
?>