<?php 
	class WCEV_OrderDetailsPage
	{
		public function __construct()
		{
			//add_action( 'woocommerce_admin_order_data_after_billing_address',  array( &$this,'display_vat_on_admin_order_details_page' ));
			add_action( 'woocommerce_admin_order_data_after_order_details',  array( &$this,'display_custom_data' ));
			add_filter( 'woocommerce_admin_billing_fields',  array( &$this,'add_eu_vat_field_to_order_details_fields' )); //admin order details page
			//add_filter( 'woocommerce_process_shop_order_meta',  array( &$this,'format_request_eu_vat_value_display' )); 
		}
	
		public function display_vat_on_admin_order_details_page( $order ) 
		{
			global $wcev_order_model, $wcev_text_helper;
			$texts = $wcev_text_helper->get_texts();
			$business_or_consumer = $wcev_order_model->get_client_type(WCEV_Order::get_id($order));
			$business_or_consumer_result =  $business_or_consumer && $business_or_consumer == 'consumer' ? $texts['consumer_option_label'] : $texts['business_option_label'];
			/* if($eu_vat_number = $wcev_order_model->get_vat_number(WCEV_Order::get_id($order)))
				echo "<p ><strong>".__('VAT Number', 'woocommerce-eu-vat-field').": </strong><br/>" .$eu_vat_number . "</p>"; */
			
			/* if($business_or_consumer)
				echo "<p ><strong>".__('Customer type', 'woocommerce-eu-vat-field').": </strong><br/>" .$business_or_consumer_result . "</p>"; */

		}
		public function display_custom_data( $order ) 
		{
			global $wcev_order_model, $wcev_text_helper,$wcev_vat_field_model;
			$texts = $wcev_text_helper->get_texts();
			$business_or_consumer = $wcev_order_model->get_client_type(WCEV_Order::get_id($order));
			$business_or_consumer_result =  $business_or_consumer && $business_or_consumer == 'consumer' ? $texts['consumer_option_label'] : $texts['business_option_label'];
			$was_invoice_requested = $invoice_was_requested = $wcev_order_model->was_invoice_requested(WCEV_Order::get_id($order)) ? __( 'Yes', 'woocommerce-eu-vat-field' ) : __( 'No', 'woocommerce-eu-vat-field' );
			$render_note = false;
			
			if($business_or_consumer && $wcev_vat_field_model->get_all_options('show_business_consumer_selector', false))
			{
				$render_note = true;
				echo "<p class='form-field form-field-wide' style='margint-top: 20px; display:block;'><strong>".__('Customer type', 'woocommerce-eu-vat-field').": </strong><br/>" .$business_or_consumer_result . "</p>";
			}
			if($was_invoice_requested && $wcev_vat_field_model->get_all_options('show_require_invoice_option', false))
			{
				echo '<p class="form-field form-field-wide"><strong>'.__('Invoice requested', 'woocommerce-eu-vat-field').': </strong><strong>' .$was_invoice_requested . '</strong></p>';
				$render_note = true;
			}	
			if( $render_note)
				echo ' <small>('.__( 'To modify these values: edit the <strong>Billing Details</strong>', 'woocommerce-eu-vat-field' ).')</small>';
		}
		public function add_eu_vat_field_to_order_details_fields($fields)
		{
			global $wcev_order_model, $post, $wcev_text_helper, $wcev_vat_field_model;
			
			$texts = $wcev_text_helper->get_texts();
			$order = wc_get_order( $post->ID );
			wp_enqueue_style('wcev-order-details', WCEV_PLUGIN_PATH.'/css/admin-order-details-page.css');
			wp_enqueue_script('wcev-order-details', WCEV_PLUGIN_PATH.'/js/admin-order-details-page.js', array('jquery'));
			$eu_vat_number = $wcev_order_model->get_vat_number(WCEV_Order::get_id($order));
			$business_or_consumer = $wcev_order_model->get_client_type(WCEV_Order::get_id($order));
			$was_invoice_requested = $wcev_order_model->was_invoice_requested(WCEV_Order::get_id($order));
			$it_sid_pec = $wcev_order_model->get_it_sid_pec(WCEV_Order::get_id($order));
			$es_nif_nie = $wcev_order_model->get_billing_es_nif_nie(WCEV_Order::get_id($order));
			$gr_tax_office = $wcev_order_model->get_billing_gr_tax_office(WCEV_Order::get_id($order));
			$gr_business_activity = $wcev_order_model->get_billing_gr_business_activity(WCEV_Order::get_id($order));
			$cz_company_id = $wcev_order_model->get_billing_cz_company_id(WCEV_Order::get_id($order));
			$sk_company_id = $wcev_order_model->get_billing_sk_company_id(WCEV_Order::get_id($order));
			$sk_company_dic = $wcev_order_model->get_billing_sk_company_dic(WCEV_Order::get_id($order));
			$cod_fiscale = $wcev_order_model->get_codice_fiscale(WCEV_Order::get_id($order));
			$billing_country = $order->get_billing_country();
		
			if($wcev_vat_field_model->get_all_options('show_require_invoice_option', false))
				$fields['request_eu_vat'] = array(
					'label' => __( 'Requested invoice', 'woocommerce-eu-vat-field' ),
					'show'  =>  false,
					'type' 		=> 'select', //checkbox doens't work
					'options' 	=> array(
										0 => __( 'No', 'woocommerce-eu-vat-field' ),
										1 => __( 'Yes', 'woocommerce-eu-vat-field' )
									)
				);
			
			if($wcev_vat_field_model->get_all_options('show_business_consumer_selector', false))
				$fields['business_consumer_selector'] = array(
						'label' => __( 'Customer type', 'woocommerce-eu-vat-field' ),
						'show'  => false,
						'type' 		=> 'select',
						'options' 	=>  array('consumer' => $texts['consumer_option_label'], 'business' =>$texts['business_option_label'])
					);
			
			$fields['eu_vat'] = array(
				'label' => __( 'Vat Number', 'woocommerce-eu-vat-field' ),
				'show'  => $eu_vat_number ? true : false
			);
			
			if(/* $it_sid_pec && */ $billing_country == 'IT' && $eu_vat_number)
				$fields['it_sid_pec'] = array(
					'label' => __( 'SDI/Pec', 'woocommerce-eu-vat-field' ),
					'show'  => /* $it_sid_pec ? */ true /* : false */,
					 'value' => $it_sid_pec ? $it_sid_pec : __( 'N/A', 'woocommerce-eu-vat-field' )
				);
				
			if(/* $cod_fiscale &&  */$billing_country == 'IT' /* && $eu_vat_number */)
				$fields['it_codice_fiscale'] = array(
					'label' => __( 'Codice fiscale', 'woocommerce-eu-vat-field' ),
					'show'  => /* $cod_fiscale ? */ true /* : false */,
					'value' => $cod_fiscale ? $cod_fiscale : __( 'N/A', 'woocommerce-eu-vat-field' )
				);
				
			if(/* $es_nif_nie &&  */$billing_country == 'ES')
				$fields['it_codice_fiscale'] = array(
					'label' => __( 'NIF / NIE', 'woocommerce-eu-vat-field' ),
					'show'  => /* $cod_fiscale ? */ true /* : false */,
					'value' => $es_nif_nie ? $es_nif_nie : __( 'N/A', 'woocommerce-eu-vat-field' )
				);
			
			if(/* $gr_tax_office && */ $billing_country == 'GR')
						$fields['gr_tax_office'] = array(
								'label' => $texts['gr_tax_office_label'], 
								'value' => wptexturize( $gr_tax_office)
							);
			if(/* $gr_business_activity && */ $billing_country == 'GR')
						$fields['gr_business_activity'] = array(
								'label' => $texts['gr_business_activity_label'],
								'value' => wptexturize( $gr_business_activity)
							);	
			if(/* $cz_company_id && */ $billing_country == 'CZ')
						$fields['cz_company_id'] = array(
								'label' => $texts['cz_company_id_label'],
								'value' => wptexturize( $cz_company_id)
							);	
			if(/* $sk_company_id && */ $billing_country == 'SK')
						$fields['sk_company_id'] = array(
								'label' => $texts['sk_company_id_label'],
								'value' => wptexturize( $sk_company_id)
							);	
			if(/* $sk_company_dic && */ $billing_country == 'SK')
						$fields['sk_company_dic'] = array(
								'label' => $texts['sk_company_dic_label'],
								'value' => wptexturize( $sk_company_dic)
							);	
							
			return $fields;
		}
		
	}	
?>