<?php 
$wcev_active_plugins = get_option('active_plugins');
$wcev_acf_pro = 'advanced-custom-fields-pro/acf.php';
$wcev_acf_pro_is_aleady_active = in_array($wcev_acf_pro, $wcev_active_plugins) || class_exists('acf') ? true : false;
if(!$wcev_acf_pro_is_aleady_active)
	include_once( WCEV_PLUGIN_ABS_PATH . '/classes/acf/acf.php' );

$wcev_hide_menu = true;
if ( ! function_exists( 'is_plugin_active' ) ) 
{
	include_once( ABSPATH . 'wp-admin/includes/plugin.php' ); 
}
/* Checks to see if the acf pro plugin is activated  */
if ( is_plugin_active('advanced-custom-fields-pro/acf.php') )  {
	$wcev_hide_menu = false;
}

/* Checks to see if the acf plugin is activated  */
if ( is_plugin_active('advanced-custom-fields/acf.php') ) 
{
	add_action('plugins_loaded', 'wcev_load_acf_standard_last', 10, 2 ); //activated_plugin
	add_action('deactivated_plugin', 'wcev_detect_plugin_deactivation', 10, 2 ); //activated_plugin
	$wcev_hide_menu = false;
}
function wcev_detect_plugin_deactivation(  $plugin, $network_activation ) { //after
   // $plugin == 'advanced-custom-fields/acf.php'
	//wcev_var_dump("wcev_detect_plugin_deactivation");
	$acf_standard = 'advanced-custom-fields/acf.php';
	if($plugin == $acf_standard)
	{
		$active_plugins = get_option('active_plugins');
		$this_plugin_key = array_keys($active_plugins, $acf_standard);
		if (!empty($this_plugin_key)) 
		{
			foreach($this_plugin_key as $index)
				unset($active_plugins[$index]);
			update_option('active_plugins', $active_plugins);
			//forcing
			deactivate_plugins( plugin_basename( WP_PLUGIN_DIR.'/advanced-custom-fields/acf.php') );
		}
	}
} 
function wcev_load_acf_standard_last($plugin, $network_activation = null) { //before
	$acf_standard = 'advanced-custom-fields/acf.php';
	$active_plugins = get_option('active_plugins');
	$this_plugin_key = array_keys($active_plugins, $acf_standard);
	if (!empty($this_plugin_key)) 
	{ 
		foreach($this_plugin_key as $index)
			//array_splice($active_plugins, $index, 1);
			unset($active_plugins[$index]);
		//array_unshift($active_plugins, $acf_standard); //first
		array_push($active_plugins, $acf_standard); //last
		update_option('active_plugins', $active_plugins);
	} 
}


if(!$wcev_acf_pro_is_aleady_active)
	add_filter('acf/settings/path', 'wcev_acf_settings_path');
function wcev_acf_settings_path( $path ) 
{
 
    // update path
    $path = WCEV_PLUGIN_ABS_PATH. '/classes/acf/';
    
    // return
    return $path;
    
}
if(!$wcev_acf_pro_is_aleady_active)
	add_filter('acf/settings/dir', 'wcev_acf_settings_dir');
function wcev_acf_settings_dir( $dir ) {
 
    // update path
    $dir = WCEV_PLUGIN_PATH . '/classes/acf/';
    
    // return
    return $dir;
    
}

function wcev_acf_init() {
    
    include WCEV_PLUGIN_ABS_PATH . "/assets/fields.php";
    
}
add_action('acf/init', 'wcev_acf_init');

//hide acf menu
if($wcev_hide_menu)	
	add_filter('acf/settings/show_admin', '__return_false');


//******************************************** CUSTOM FILTERS



//******************************************** CUSTOM COMPONENT
//********************************************
//custom role field
/**
 * ACF 5 Field
 *
 * Loads the field for ACF 5
 *
 */
function wcmca_add_acf_custom_fields( $version ) 
{
	if(!class_exists('acf_field_divider'))
		include_once(WCEV_PLUGIN_ABS_PATH.'/classes/com/vendor/acf-divider-field-master/acf-divider-v5.php');

}
add_action('acf/include_field_types', 'wcmca_add_acf_custom_fields');

//Avoid custom fields metabox removed by pages
add_filter('acf/settings/remove_wp_meta_box', '__return_false');
?>