<?php 
class WCEV_Email
{
	public function __construct()
	{
		//emails
		add_action('woocommerce_email_customer_details_fields', array( &$this, 'inject_vat_field_into_emails' ), 12, 3);
	}
	
	public function inject_vat_field_into_emails( $fields, $sent_to_admin, $order )
	{
		global $wcev_customer_model,$wcev_order_model,$wcev_vat_field_model, $wcev_text_helper;
		/* $user_id = $order->get_customer_id();
		if($user_id == 0)
			return $fields; */
		
		$field_options = $wcev_vat_field_model->get_all_options();
		$vat_number = $wcev_order_model->get_vat_number(WCEV_Order::get_id($order));
		$it_sid_pec = $wcev_order_model->get_it_sid_pec(WCEV_Order::get_id($order));
		$it_cod_fiscale = $wcev_order_model->get_codice_fiscale(WCEV_Order::get_id($order));
		$es_nif_nie = $wcev_order_model->get_billing_es_nif_nie(WCEV_Order::get_id($order));
		$gr_tax_office = $wcev_order_model->get_billing_gr_tax_office(WCEV_Order::get_id($order));
		$gr_business_activity = $wcev_order_model->get_billing_gr_business_activity(WCEV_Order::get_id($order));
		$cz_company_id = $wcev_order_model->get_billing_cz_company_id(WCEV_Order::get_id($order));
		$sk_company_id = $wcev_order_model->get_billing_sk_company_id(WCEV_Order::get_id($order));
		$sk_company_dic = $wcev_order_model->get_billing_sk_company_dic(WCEV_Order::get_id($order));
		$billing_country = $order->get_billing_country();
		$texts = $wcev_text_helper->get_texts();
		
		//if($vat_number || $it_cod_fiscale) 
		{
			if($vat_number)
			$fields['billing_eu_vat'] = array(
					'label' => __('Vat Number', 'woocommerce-eu-vat-field'),
					'value' => wptexturize( $vat_number )
				);
			if($vat_number && $it_sid_pec && $billing_country == 'IT')
			$fields['billing_it_sid_pec'] = array(
					'label' => $texts['it_sid_pec_label'], //__('SDI/Pec', 'woocommerce-eu-vat-field'),
					'value' => wptexturize( $it_sid_pec)
				);
				
			if($it_cod_fiscale && $billing_country == 'IT')
			$fields['billing_it_codice_fiscale'] = array(
					'label' => $texts['it_cod_fiscale_label'],
					'value' => wptexturize( $it_cod_fiscale)
				);
			
			if($vat_number && $es_nif_nie && $billing_country == 'ES')
						$fields['billing_it_sid_pec'] = array(
								'label' => $texts['es_nif_nie_label'], 
								'value' => wptexturize( $es_nif_nie)
							);
			if($vat_number && $gr_tax_office && $billing_country == 'GR')
						$fields['billing_gr_tax_office'] = array(
								'label' => $texts['gr_tax_office_label'], 
								'value' => wptexturize( $gr_tax_office)
							);
			if($vat_number && $gr_business_activity && $billing_country == 'GR')
						$fields['billing_gr_business_activity'] = array(
								'label' => $texts['gr_business_activity_label'],
								'value' => wptexturize( $gr_business_activity)
							);	
			if($vat_number && $cz_company_id && $billing_country == 'CZ')
						$fields['billing_cz_company_id'] = array(
								'label' => $texts['cz_company_id_label'],
								'value' => wptexturize( $cz_company_id)
							);
			if($vat_number && $sk_company_id && $billing_country == 'SK')
						$fields['billing_sk_company_id'] = array(
								'label' => $texts['sk_company_id_label'],
								'value' => wptexturize( $sk_company_id)
							);
			if($vat_number && $sk_company_id && $billing_country == 'SK')
						$fields['billing_sk_company_dic'] = array(
								'label' => $texts['sk_company_dic_label'],
								'value' => wptexturize( $sk_company_dic)
							);	
							
			if($vat_number && $field_options['show_require_invoice_option'])
					$fields['billing_request_eu_vat'] = array(
					'label' => __('Invoice requested', 'woocommerce-eu-vat-field'),
					'value' => $wcev_order_model->was_invoice_requested(WCEV_Order::get_id($order)) ? __('Yes', 'woocommerce-eu-vat-field') :  __('No', 'woocommerce-eu-vat-field') 
				);
		}
		
		return $fields;
	}
}
?>