<?php 
class WCEV_VatField
{
	var $all_data = null;
	var $validator;
	public function __construct()
	{
		//My account -> billing details, Checkout fields
		add_filter( 'woocommerce_billing_fields' , array( &$this,'add_eu_vat_field' ),1, 2);
		add_filter( 'woocommerce_my_account_my_address_formatted_address' , array( &$this,'add_eu_vat_field_to_formatted_address' ), 1, 3);
	}
	public function get_all_options($option_name = null, $option_default_value = null)
	{
		if(!isset($this->all_data))	
		{
			add_filter('acf/settings/current_language',  array(&$this, 'cl_acf_set_language'), 100);
			
			$all_data['disable_eu_vat_field'] = get_field('wcev_disable_eu_vat_field', 'option'); 		
			$all_data['disable_eu_vat_field'] = $all_data['disable_eu_vat_field'] ? $all_data['disable_eu_vat_field'] : false;
			
			$all_data['always_show_the_field'] = get_field('wcev_always_show_the_field', 'option'); 		
			$all_data['always_show_the_field'] = $all_data['always_show_the_field'] ? $all_data['always_show_the_field'] : false; 	
			
			$all_data['disabled_eu_countries'] = get_field('wcev_disabled_eu_countries', 'option'); 		
			$all_data['disabled_eu_countries'] = !$all_data['always_show_the_field'] && $all_data['disabled_eu_countries'] ? $all_data['disabled_eu_countries'] : array(); 		
			
			$all_data['billing_company_is_required'] = get_field('wcev_billing_company_is_required', 'option'); 		
			$all_data['billing_company_is_required'] = $all_data['billing_company_is_required'] ? $all_data['billing_company_is_required'] : false; 		
			
			$all_data['enable_validation'] = get_field('wcev_enable_validation', 'option'); 		
			$all_data['enable_validation'] = $all_data['enable_validation'] ? $all_data['enable_validation'] : false; 
			
			$all_data['enable_uniqueness_check'] = get_field('wcev_enable_uniqueness_check', 'option'); 		
			$all_data['enable_uniqueness_check'] = $all_data['enable_uniqueness_check'] ? $all_data['enable_uniqueness_check'] : false; 	
			
			$all_data['disable_field_edit'] = get_field('wcev_disable_field_edit', 'option'); 		
			$all_data['disable_field_edit'] = $all_data['disable_field_edit'] ? $all_data['disable_field_edit'] : false; 	
			
			$all_data['validation_type'] = get_field('wcev_validation_type', 'option'); 		
			$all_data['validation_type'] = $all_data['validation_type'] ? $all_data['validation_type'] : 'valid_format'; 	// valid_format  || vies	
			
			$all_data['disable_vies_validation_for_local_business'] = get_field('wcev_disable_vies_for_local_business', 'option'); 		
			$all_data['disable_vies_validation_for_local_business'] = $all_data['disable_vies_validation_for_local_business'] ? $all_data['disable_vies_validation_for_local_business'] : false; 	
			
			$all_data['is_required'] = get_field('wcev_is_required', 'option'); 		
			$all_data['is_required'] = $all_data['is_required'] ? $all_data['is_required'] : false; 	
			
			$all_data['show_require_invoice_option'] = get_field('wcev_show_require_invoice_option', 'option'); 		
			$all_data['show_require_invoice_option'] = $all_data['show_require_invoice_option'] ? $all_data['show_require_invoice_option'] : false; 				
			
			$all_data['show_business_consumer_selector'] = get_field('wcev_show_business_consumer_selector', 'option'); 		
			$all_data['show_business_consumer_selector'] = $all_data['show_business_consumer_selector'] ? $all_data['show_business_consumer_selector'] : false; 	
			
			$all_data['show_eu_vat_field_only_when_the_user_requests_an_invoice'] = get_field('wcev_show_eu_vat_field_only_when_the_user_requests_an_invoice', 'option'); 		
			$all_data['show_eu_vat_field_only_when_the_user_requests_an_invoice'] = $all_data['show_eu_vat_field_only_when_the_user_requests_an_invoice'] ? $all_data['show_eu_vat_field_only_when_the_user_requests_an_invoice'] : false;
			
			$all_data['show_company_name_field_only_when_the_user_requests_an_invoice'] = get_field('wcev_show_company_name_field_only_when_the_user_requests_an_invoice', 'option'); 		
			$all_data['show_company_name_field_only_when_the_user_requests_an_invoice'] = $all_data['show_company_name_field_only_when_the_user_requests_an_invoice'] && $all_data['show_eu_vat_field_only_when_the_user_requests_an_invoice'] ? $all_data['show_company_name_field_only_when_the_user_requests_an_invoice'] : false; 	
			
			//By default if the user selectes the "Request invoice" option, the field will become required. Turn on this option to leave the field always as optional
			$all_data['requested_invoice_not_required'] = get_field('wcev_requested_invoice_not_required', 'option'); 		
			$all_data['requested_invoice_not_required'] = $all_data['requested_invoice_not_required'] ? $all_data['requested_invoice_not_required'] : false; 	
			
			$all_data['tax_removal'] = get_field('wcev_tax_removal', 'option'); 		
			$all_data['tax_removal'] = $all_data['tax_removal'] ? $all_data['tax_removal'] : false; 
			
			//Italy
			$all_data['sdi_pec_mandatory'] = get_field('wcev_sdi_pec_mandatory', 'option'); 		
			$all_data['sdi_pec_mandatory'] = $all_data['sdi_pec_mandatory'] ? $all_data['sdi_pec_mandatory'] : false; 
			
			$all_data['disable_it_codice_fiscale'] = get_field('wcev_disable_it_codice_fiscale', 'option'); 		
			$all_data['disable_it_codice_fiscale'] = $all_data['disable_it_codice_fiscale'] ? $all_data['disable_it_codice_fiscale'] : false; 
			
			$all_data['it_codice_fiscale_mandatory'] = get_field('wcev_it_codice_fiscale_mandatory', 'option'); 		
			$all_data['it_codice_fiscale_mandatory'] = $all_data['it_codice_fiscale_mandatory'] && !$all_data['disable_it_codice_fiscale'] ? $all_data['it_codice_fiscale_mandatory'] : false; 
			
			$all_data['it_codice_fiscale_disable_validation'] = get_field('wcev_it_codice_fiscale_disable_validation', 'option'); 		
			$all_data['it_codice_fiscale_disable_validation'] = isset($all_data['it_codice_fiscale_disable_validation']) && !$all_data['disable_it_codice_fiscale'] ? $all_data['it_codice_fiscale_disable_validation'] : true; 
			
			//Spain
			$all_data['disable_es_nif_nie_field'] = get_field('wcev_disable_es_nif_nie_field', 'option'); 		
			$all_data['disable_es_nif_nie_field'] = $all_data['disable_es_nif_nie_field'] ? $all_data['disable_es_nif_nie_field'] : false; 
			
			//Slovakia 
			$all_data['sk_disable_company_id_mandatory'] = get_field('wcev_sk_disable_company_id_mandatory', 'option'); 		
			$all_data['sk_disable_company_id_mandatory'] = $all_data['sk_disable_company_id_mandatory'] ? $all_data['sk_disable_company_id_mandatory'] : false; 
			
			$all_data['sk_disable_company_dic_mandatory'] = get_field('wcev_sk_disable_company_dic_mandatory', 'option'); 		
			$all_data['sk_disable_company_dic_mandatory'] = $all_data['sk_disable_company_dic_mandatory'] ? $all_data['sk_disable_company_dic_mandatory'] : false; 
			
			//Czech Republic 
			$all_data['cz_disable_company_id_mandatory'] = get_field('wcev_cz_disable_company_id_mandatory', 'option'); 		
			$all_data['cz_disable_company_id_mandatory'] = $all_data['cz_disable_company_id_mandatory'] ? $all_data['cz_disable_company_id_mandatory'] : false; 
			
			
			//Other
			$all_data['hide_prices_to_guests'] = get_field('wcev_hide_prices_to_guests', 'option'); 		
			$all_data['hide_prices_to_guests'] = $all_data['hide_prices_to_guests'] ? $all_data['hide_prices_to_guests'] : false; 
			
			$all_data['show_reverse_charge_text_on_cart_table'] = get_field('wcev_reverse_charge_text_on_cart_table', 'option'); 		
			$all_data['show_reverse_charge_text_on_cart_table'] = $all_data['tax_removal'] && $all_data['show_reverse_charge_text_on_cart_table'] ? true : false; 
			
			$all_data['tax_removal_for_local_based_users'] = get_field('wcev_tax_removal_for_local_based_users', 'option'); 		
			$all_data['tax_removal_for_local_based_users'] = $all_data['tax_removal_for_local_based_users'] ? $all_data['tax_removal_for_local_based_users'] : false;
			
			$all_data['register_page_only_business_can_register'] = get_field('wcev_register_page_only_business_can_register', 'option'); 		
			$all_data['register_page_only_business_can_register'] = $all_data['register_page_only_business_can_register'] ? $all_data['register_page_only_business_can_register'] : false; 
			
			$all_data['register_page_show_billing_company_field'] = get_field('wcev_register_page_show_billing_company_field', 'option'); 		
			$all_data['register_page_show_billing_company_field'] = $all_data['register_page_show_billing_company_field'] ? $all_data['register_page_show_billing_company_field'] : false; 
			
			$all_data['register_page_show_billing_company_field_is_mandatory'] = get_field('wcev_register_page_show_billing_company_field_is_mandatory', 'option'); 		
			$all_data['register_page_show_billing_company_field_is_mandatory'] = $all_data['register_page_show_billing_company_field_is_mandatory'] ? $all_data['register_page_show_billing_company_field_is_mandatory'] : false; 
			
			$all_data['b2b_show_state_field'] = get_field('wcev_b2b_show_state_field', 'option'); 		
			$all_data['b2b_show_state_field'] = $all_data['b2b_show_state_field'] ? $all_data['b2b_show_state_field'] : false; 
			
			remove_filter('acf/settings/current_language', array(&$this,'cl_acf_set_language'), 100);
			$this->all_data = $all_data;
		}
		else
			$all_data = $this->all_data;
		if(isset($option_name))
			return isset($all_data[$option_name]) ? $all_data[$option_name] : $option_default_value;
		
		return $all_data;
	}
	function cl_acf_set_language() 
	{
	  return acf_get_setting('default_language');
	}
	//used both for checkout and order details page
	function validate_extra_country_specific_fields($params)
	{
		global $wcev_text_helper, $wcev_vat_field_model;
		$field_options = $wcev_vat_field_model->get_all_options();
		$result = $this->check_mandatory_fields_according_posted_data();
		$texts = $wcev_text_helper->get_texts();
		$invoice_has_been_requested = (defined('DOING_AJAX') && DOING_AJAX || wcev_get_value_if_set($params, 'action', '') == 'edit_address') && isset($params['billing_request_eu_vat']) && $params['billing_request_eu_vat'] ? true : false;
		$invoice_has_been_requested = $field_options['show_require_invoice_option'] && $invoice_has_been_requested;
		
		//Italy SDI/Pec field
		if($result["sid_pec"] &&  $params['billing_country'] == 'IT' && wcev_get_value_if_set($params, 'billing_it_sid_pec', "") != "" &&
			((!isset($params['billing_business_consumer_selector']) || $params['billing_business_consumer_selector'] != 'consumer') && $invoice_has_been_requested)
			)
		{
			if(!WC_Validation::is_email($params['billing_it_sid_pec']) && (!ctype_alnum($params['billing_it_sid_pec']) || strlen($params['billing_it_sid_pec']) != 7))
					wc_add_notice( $texts['it_sid_pec_validation_message'],'error'); 
				
			if(wcev_get_value_if_set($params, 'billing_eu_vat', "") == "")
				wc_add_notice( $texts['it_vat_field_empty_error_text'],'error');
		}
		
		//Italy Codice fiscale field
		if($params['billing_country'] == 'IT' && isset($params['billing_it_codice_fiscale']) && $params['billing_it_codice_fiscale'] != "")
		{
			if(!$this->codice_fiscale_has_valid_format($params['billing_it_codice_fiscale']))
			{
			
				wc_add_notice( sprintf(wp_kses(__('<strong>%s</strong> has an invalid format.', 'woocommerce-eu-vat-field'), 'strong'), $texts['it_cod_fiscale_label']) ,'error'); 
			}
		}
		
		//Spain
		if($params['billing_country'] == 'ES' && wcev_get_value_if_set($params, 'billing_es_nif_nie', "") != "" &&
		   (!isset($params['billing_business_consumer_selector']) || $params['billing_business_consumer_selector'] != 'consumer') 
		) 
		{
			if(!$this->is_valid_es_id_number($params['billing_es_nif_nie']))
				wc_add_notice( $texts['es_nif_nie_validation_error_text'] ,'error'); 
		}
		
	}
	function validate_vat($country_code, $vat_number, $debug = 'false')
	{
		$options = $this->get_all_options();
		if(!$options['enable_validation'])
			return true;
		
		if($country_code == "" || $vat_number == "")
			return false;
		$result = false;
		$vat_number = str_replace(' ', '', $vat_number);
		
		$base_location = wc_get_base_location();
		$vat_number = str_replace(" ","",$vat_number);
		$first_chars = substr($vat_number, 0,2);
		if(!is_numeric($first_chars))
		{
			//$country_code = $first_chars;
			$vat_number_to_upper = strtoupper($vat_number);
			$vat_number = str_replace($country_code,"",$vat_number_to_upper);
		}
		
		if(!isset($validator))
			$this->validator = new vatValidation( array('debug' => $debug));
		
		if($options['validation_type'] == 'vies' && (!$options['disable_vies_validation_for_local_business'] || $country_code != $base_location["country"]))
		{
			$result = $this->validator->check(strtoupper($country_code), $vat_number);
			/* while($result == "no_connection")
				$result = $this->validator->check(strtoupper($country_code), $vat_number); */
			$result = $this->validator->isValid();
			$result = $result === "no_connection" ? false : $this->validator->isValid();
		}
		else 
		{
			$result = $this->isFormatValid(strtoupper($country_code), $vat_number);
		}
		
		return $result;
	}
	public function add_eu_vat_field_to_formatted_address($formatted_address, $customer_id, $name)
	{
		global $wcev_vat_field_model, $wcev_customer_model;
		$field_options = $wcev_vat_field_model->get_all_options();
		if($field_options['disable_eu_vat_field'] || $name != 'billing')
			return $formatted_address;
		
		$new_fields = array();
		foreach($formatted_address as $field_key => $field_value)
		{
			$new_fields[$field_key] = $field_value;
			if($field_key == 'last_name' && $current_vat_number = $wcev_customer_model->get_vat_number($customer_id))
			{
				$new_fields['last_name'] = $field_value != "" ? $field_value."\n".$current_vat_number : $current_vat_number ;
			}
		}
		//wcev_var_dump($name);
		return $new_fields;
	}
	public function check_mandatory_fields_according_posted_data()
	{
		global $wcev_vat_field_model, $wcev_country_helper;
		if( isset($_POST['post_data']))
			parse_str($_POST['post_data'],$posted_data);
		else
			$posted_data = $_POST;
		
		$field_options = $wcev_vat_field_model->get_all_options();
		$sid_pec_is_mandatory = $field_options['sdi_pec_mandatory'];
		$codice_fiscale_is_mandatory = $field_options['it_codice_fiscale_mandatory'];
		$is_codice_fiscale_disabled = $field_options['disable_it_codice_fiscale'];
		$cz_company_id_is_optional = $field_options['cz_disable_company_id_mandatory'];
		$sk_company_id_is_optional = $field_options['sk_disable_company_id_mandatory'];
		$sk_company_dic_is_optional = $field_options['sk_disable_company_dic_mandatory'];
		$invoice_has_been_requested = (defined('DOING_AJAX') && DOING_AJAX || wcev_get_value_if_set($posted_data, 'action', '') == 'edit_address') && isset($posted_data['billing_request_eu_vat']) && $posted_data['billing_request_eu_vat'] ? true : false;
		$is_eu_field_visible = isset($posted_data['billing_eu_vat']) ? true : false;
		$checkout_skip_validation = isset($posted_data['billing_country']) && !$field_options['always_show_the_field'] && !$wcev_country_helper->isEU($posted_data['billing_country']) ? true : false;
		
		$is_required_due_to_invoice_request = $field_options['show_require_invoice_option'] && $invoice_has_been_requested && !$field_options['requested_invoice_not_required'];
		$is_required = $field_options['is_required'] || /* $field_options['show_business_consumer_selector'] || */
						$is_required_due_to_invoice_request; 
					
		//Eu Vat Field
		$is_required = isset($posted_data['billing_business_consumer_selector']) && $posted_data['billing_business_consumer_selector'] == 'consumer' ? false : $is_required;
		$is_required = $checkout_skip_validation ? false : $is_required;
		$is_required = !$is_eu_field_visible ? false : $is_required;
		
		//SDI/Pec
		$sid_pec_is_mandatory = isset($posted_data['billing_country']) && $posted_data['billing_country'] == 'IT' && ($is_required_due_to_invoice_request || isset($posted_data['billing_business_consumer_selector']) && $posted_data['billing_business_consumer_selector'] != 'consumer') ? $sid_pec_is_mandatory : false;
		$sid_pec_is_mandatory = $checkout_skip_validation ? false : $sid_pec_is_mandatory;
		//$sid_pec_is_mandatory = !$is_eu_field_visible ? false : $sid_pec_is_mandatory;
		
		//Codice fiscale 
		$codice_fiscale_is_mandatory = isset($posted_data['billing_country']) && $posted_data['billing_country'] == 'IT' ? $codice_fiscale_is_mandatory : false;
		$codice_fiscale_is_mandatory = $checkout_skip_validation ? false : $codice_fiscale_is_mandatory;
		$codice_fiscale_is_mandatory = $is_codice_fiscale_disabled ? false : $codice_fiscale_is_mandatory;
		//$codice_fiscale_is_mandatory = !$is_eu_field_visible ? false : $codice_fiscale_is_mandatory;
		
		//Grece tax office
		//These should be more reliable
		/*$gr_tax_office_is_required = isset($_POST['billing_business_consumer_selector']) && $_POST['billing_business_consumer_selector'] != 'consumer' || $is_required_due_to_invoice_request ? true : false;
		$gr_tax_office_is_required = $posted_data['billing_country'] == 'GR' ? $gr_tax_office_is_required  : false;
		
		$gr_business_activity_is_required = isset($_POST['billing_business_consumer_selector']) && $_POST['billing_business_consumer_selector'] != 'consumer' || $is_required_due_to_invoice_request ? true : false;
		$gr_business_activity_is_required = $posted_data['billing_country'] == 'GR' ? $gr_business_activity_is_required  : false;
		*/
		$gr_tax_office_is_required = isset($_POST['billing_business_consumer_selector']) && $_POST['billing_business_consumer_selector'] == 'consumer' || !$is_required_due_to_invoice_request ? false : true;
		$gr_tax_office_is_required = $posted_data['billing_country'] == 'GR' ? $gr_tax_office_is_required  : false;
		
		$gr_business_activity_is_required = isset($_POST['billing_business_consumer_selector']) && $_POST['billing_business_consumer_selector'] == 'consumer' || !$is_required_due_to_invoice_request ? false : true;
		$gr_business_activity_is_required = $posted_data['billing_country'] == 'GR' ? $gr_business_activity_is_required  : false;
		
		//Slovakia
		$sk_company_id_is_required = isset($_POST['billing_business_consumer_selector']) && $_POST['billing_business_consumer_selector'] != 'consumer' || $is_required_due_to_invoice_request ? true : false;
		$sk_company_id_is_required = $posted_data['billing_country'] == 'SK' && !$sk_company_id_is_optional && $sk_company_id_is_required ? true : false;
		
		$sk_company_dic_is_required = isset($_POST['billing_business_consumer_selector']) && $_POST['billing_business_consumer_selector'] != 'consumer' || $is_required_due_to_invoice_request ? true : false;
		$sk_company_dic_is_required = $posted_data['billing_country'] == 'SK' && !$sk_company_dic_is_optional && $sk_company_id_is_required ? true : false;
		
		//Czech Republic
		$cz_company_id_is_required = isset($_POST['billing_business_consumer_selector']) && $_POST['billing_business_consumer_selector'] != 'consumer' || $is_required_due_to_invoice_request ? true : false;
		$cz_company_id_is_required = $posted_data['billing_country'] == 'CZ' && !$cz_company_id_is_optional && $cz_company_id_is_required ? true : false;
		
		return array('eu_vat' => $is_required, 
					 'sid_pec' => $sid_pec_is_mandatory, 
					 'codice_fiscale' => $codice_fiscale_is_mandatory,
					 'gr_tax_office_is_required' => $gr_tax_office_is_required,
					 'gr_business_activity_is_required' => $gr_business_activity_is_required,
					 'sk_company_id_is_required' => $sk_company_id_is_required,
					 'sk_company_dic_is_required' => $sk_company_dic_is_required,
					 'cz_company_id_is_required' => $cz_company_id_is_required,
					 );
	}
	public function add_eu_vat_field( $fields, $country) 
	{
		global $wcev_text_helper,$wcev_country_helper, $wcev_vat_field_model, $wcev_customer_model;
		/* Format
			$country: US, IT, ...
			$fields: ["billing_first_name"]=>
					  array(4) {
						["label"]=>
						string(10) "First Name"
						["required"]=>
						bool(true)
						["class"]=>
						array(1) {
						  [0]=>
						  string(14) "form-row-first"
						}
						["autocomplete"]=>
						string(10) "given-name"
					  }
					   ["billing_last_name"]=>
					   [...]
		*/
		$new_fields = array();
		$texts = $wcev_text_helper->get_texts();
		$field_options = $wcev_vat_field_model->get_all_options();
		
		$is_required = $field_options['is_required']; 
		$is_billing_company_required = $field_options['billing_company_is_required']; 
		$sid_pec_is_mandatory = $field_options['sdi_pec_mandatory'];
		$codice_fiscale_is_mandatory = $field_options['it_codice_fiscale_mandatory'];
		$cz_company_id_is_mandatory = !$field_options['cz_disable_company_id_mandatory'];
		$sk_company_id_is_mandatory = !$field_options['sk_disable_company_id_mandatory'];
		$sk_company_dic_is_mandatory = !$field_options['sk_disable_company_dic_mandatory'];
		$gr_tax_office_is_required = $gr_business_activity_is_required = true;
		
			//Checkout ajax validation            //My Account  -> Addresses
		if(defined('DOING_AJAX') && DOING_AJAX || wcev_get_value_if_set($_POST, 'action', '') == 'edit_address')
		{
			$result = $this->check_mandatory_fields_according_posted_data();
			$is_required = $result['eu_vat'];
			$sid_pec_is_mandatory = $result['sid_pec'];
			$codice_fiscale_is_mandatory = $result['codice_fiscale'];
			$field_options['billing_company_is_required'] = isset($_POST['billing_business_consumer_selector']) && $_POST['billing_business_consumer_selector'] == 'consumer' ? false : $field_options['billing_company_is_required'];
		}
		
		//Can be merged with the previous one (that checks only italy fields)
		if(defined('DOING_AJAX') && DOING_AJAX || wcev_get_value_if_set($_POST, 'action', '') == 'edit_address')
		{
			$result = $this->check_mandatory_fields_according_posted_data();
			$gr_tax_office_is_required = $result['gr_tax_office_is_required'];
			$gr_business_activity_is_required = $result['gr_business_activity_is_required'];
			$cz_company_id_is_mandatory = $result['cz_company_id_is_required'];
			$sk_company_id_is_mandatory = $result['sk_company_id_is_required'];
			$sk_company_dic_is_mandatory = $result['sk_company_dic_is_required'];
			//wc_add_notice( "Test" ,'error'); 
		}
		
		foreach($fields as $field_key => $field_value)
		{
			if($field_key == 'billing_company')
				$field_value['required'] = $field_options['billing_company_is_required'];
			
			if($field_key == 'billing_first_name') //autofocus sometimes inteferes with the "I need invoice" checkbox
				$field_value['autofocus'] = false;
				
			$new_fields[$field_key] = $field_value;
			
			//before billing company
			if($field_key == 'billing_last_name' && !$field_options['disable_eu_vat_field'])
			{
				if($field_options['show_business_consumer_selector'])
					$new_fields['billing_business_consumer_selector'] = array(
						'type' 		=> 'select',
						'label'     => $texts['consumer_business_selector_label'],
						//'label_class'     => array('wcev_radio_option_label'),
						'required'  => true,
						'class'     => array('form-row-wide' /* , 'wcev-radio-container' */),
						'clear'     => true,
						'ajax'      => true,
						'priority'      => 29,
						'options'  => array('consumer' => $texts['consumer_option_label'], 'business'=>$texts['business_option_label'])
						);
				
				if($field_options['show_require_invoice_option'] && $field_options['show_company_name_field_only_when_the_user_requests_an_invoice'])				
					$new_fields['billing_request_eu_vat'] = $this->get_require_invoice_field($texts);
			}
			
			
			//after billing company
			if($field_key == 'billing_company' && !$field_options['disable_eu_vat_field'])
			{
					
				if($field_options['show_require_invoice_option'] && !isset($new_fields['billing_request_eu_vat']))
					$new_fields['billing_request_eu_vat'] = $this->get_require_invoice_field($texts);		
				
				//Slovakia company id
				$new_fields['billing_sk_company_id'] = array(
					'label'     => $texts['sk_company_id_label'],
					'placeholder'   => $texts['sk_company_id_label'],
					'required'  => $sk_company_id_is_mandatory,
					'class'     => array('form-row-wide'),
					'clear'     => true,
					'validate' => array('wcev-eu-vat'),
					'priority'      => 30,
					'ajax'      => true
					);
				$new_fields['billing_sk_company_dic'] = array(
					'label'     => $texts['sk_company_dic_label'],
					'placeholder'   => $texts['sk_company_dic_label'],
					'required'  => $sk_company_dic_is_mandatory,
					'class'     => array('form-row-wide'),
					'clear'     => true,
					'validate' => array('wcev-eu-vat'),
					'priority'      => 30,
					'ajax'      => true
					);
				
				//Czech Republic  
				$new_fields['billing_cz_company_id'] = array(
					'label'     => $texts['cz_company_id_label'],
					'placeholder'   => $texts['cz_company_id_label'],
					'required'  => $cz_company_id_is_mandatory,
					'class'     => array('form-row-wide'),
					'clear'     => true,
					'validate' => array('wcev-eu-vat'),
					'priority'      => 30,
					'ajax'      => true
					);
					
				//EU Vat field
				$new_fields['billing_eu_vat'] = array(
					'label'     => $texts['field_label'],
					'placeholder'   => $texts['field_place_holder'],
					'required'  => $is_required,
					'class'     => array('form-row-wide'),
					'clear'     => true,
					'validate' => array('wcev-eu-vat'),
					'priority'      => 31,
					'ajax'      => true
					);
					
				if($field_options['disable_field_edit'] && !$wcev_customer_model->is_admin_or_shop_manager() && $wcev_customer_model->get_vat_number() != "")
				{
					//$new_fields['billing_eu_vat']['custom_attributes'] =  array('disabled' => 'disabled');
					$new_fields['billing_eu_vat']['input_class'] =  array('wcev_disable_field');
				}
				
				//Italy cod. fiscale
				if(!$field_options['disable_it_codice_fiscale'])
					$new_fields['billing_it_codice_fiscale'] = array(
						'label'     => $texts['it_cod_fiscale_label'],
						'placeholder'   => $texts['it_cod_fiscale_place_holder'],
						'description' => $texts['it_cod_fiscale_description'],
						'required'  => $codice_fiscale_is_mandatory,
						'class'     => array('form-row-wide'),
						'clear'     => true,
						'validate' => array('wcev-eu-vat'),
						'priority'      => 32,
						'ajax'      => true
						);
					
				//Italy sid pec
				$new_fields['billing_it_sid_pec'] = array(
					'label'     => $texts['it_sid_pec_label'],
					'placeholder'   => $texts['it_sid_pec_place_holder'],
					'required'  => $sid_pec_is_mandatory,
					'description' => $texts['it_sid_pec_description'],
					'class'     => array('form-row-wide'),
					'clear'     => true,
					'validate' => array('wcev-eu-vat'),
					'priority'      => 33,
					'ajax'      => true
					);
					
				
				//Spain NIF / NIE
				if(!$field_options['disable_es_nif_nie_field'])
					$new_fields['billing_es_nif_nie'] = array(
						'label'     => $texts['es_nif_nie_label'],
						'placeholder'   => $texts['es_nif_nie_place_holder'],
						'description' => $texts['es_nif_nie_description'],
						'required'  => false,
						'class'     => array('form-row-wide'),
						'clear'     => true,
						'validate' => array('wcev-eu-vat'),
						'priority'      => 32,
						'ajax'      => true
						);	
				
				//Greece Tax office
				$new_fields['billing_gr_tax_office'] = array(
					'label'     => $texts['gr_tax_office_label'],
					'placeholder'   => $texts['gr_tax_office_place_holder'],
					'required'  => $gr_tax_office_is_required,
					'description' => $texts['gr_tax_office_description'],
					'class'     => array('form-row-wide'),
					'clear'     => true,
					'validate' => array('wcev-eu-vat'),
					'priority'      => 33,
					'ajax'      => true
					);
				
				//Greece business activity
				$new_fields['billing_gr_business_activity'] = array(
					'label'     => $texts['gr_business_activity_label'],
					'placeholder'   => $texts['gr_business_activity_place_holder'],
					'required'  => $gr_business_activity_is_required,
					'description' => $texts['gr_business_activity_description'],
					'class'     => array('form-row-wide'),
					'clear'     => true,
					'validate' => array('wcev-eu-vat'),
					'priority'      => 33,
					'ajax'      => true
					);					
				
			}
			
		}
	
		//JS
		if(@is_checkout())
			wp_enqueue_script( 'wcev-field-checkout-page', WCEV_PLUGIN_PATH.'/js/frontend-checkout-page.js', array('jquery') );
		wp_register_script( 'wcev-field-visibility-managment', WCEV_PLUGIN_PATH.'/js/frontend-eu-vat-field-visibility.js', array('jquery') );
		$options = array(
			'consumer_selector_active' => $field_options['show_business_consumer_selector'] ? 'true' : 'false',
			'always_show_the_field' => $field_options['always_show_the_field'] ? 'true' : 'false',
			'is_required' => $field_options['is_required'] ? 'true' : 'false',
			'is_checkout' => @is_checkout() ? 'true' : 'false',
			'show_require_invoice_option' => $field_options['show_require_invoice_option'] ? 'true' : 'false',
			'requested_invoice_not_required' => $field_options['requested_invoice_not_required'] ? 'true' : 'false',
			'show_eu_vat_field_only_when_the_user_requests_an_invoice' => $field_options['show_require_invoice_option'] && $field_options['show_eu_vat_field_only_when_the_user_requests_an_invoice'] ? 'true' : 'false',
			'show_company_name_field_only_when_the_user_requests_an_invoice' => $field_options['show_require_invoice_option']  && $field_options['show_company_name_field_only_when_the_user_requests_an_invoice'] ? 'true' : 'false',
			'billing_company_is_required' => $field_options['billing_company_is_required']  && $field_options['billing_company_is_required'] ? 'true' : 'false',
			'eu_countries_to_exclude' => $field_options['disabled_eu_countries'],
			'eu_country_codes' => $wcev_country_helper->get_eu_vat_country_codes()
		);
		wp_localize_script( 'wcev-field-visibility-managment', 'wcev', $options );
		wp_enqueue_script( 'wcev-field-visibility-managment' );
		
		wp_enqueue_style( 'wcev-fields-common', WCEV_PLUGIN_PATH.'/css/frontend-common.css' );

		return $new_fields;
	}
	private function get_require_invoice_field($texts)
	{
		return array(
						'type' 		=> 'checkbox',
						'label'     => $texts['require_invoice_label'],
						'required'  => false,
						'class'     => array('form-row-wide'),
						'clear'     => true,
						'ajax'      => true,
						'priority' => 25
						);
	}
	public function codice_fiscale_has_valid_format($cf)
	{
		$options = $this->get_all_options();
		if($options['it_codice_fiscale_disable_validation'])
			return true;
		
		 if($cf=='')
			return false;
		
		if($this->validate_business_cf($cf))
			return true;

		 if(strlen($cf)!= 16)
			return false;

		 $cf=strtoupper($cf);
		 if(!preg_match("/[A-Z0-9]+$/", $cf))
			return false;
		 
		 $s = 0;
		 for($i=1; $i<=13; $i+=2){
		$c=$cf[$i];
		if('0'<=$c and $c<='9')
			 $s+=ord($c)-ord('0');
		else
			 $s+=ord($c)-ord('A');
		 }

		 for($i=0; $i<=14; $i+=2){
		$c=$cf[$i];
		switch($c)
			{
					 case '0':  $s += 1;  break;
				 case '1':  $s += 0;  break;
					 case '2':  $s += 5;  break;
				 case '3':  $s += 7;  break;
				 case '4':  $s += 9;  break;
				 case '5':  $s += 13;  break;
				 case '6':  $s += 15;  break;
				 case '7':  $s += 17;  break;
				 case '8':  $s += 19;  break;
				 case '9':  $s += 21;  break;
				 case 'A':  $s += 1;  break;
				 case 'B':  $s += 0;  break;
				 case 'C':  $s += 5;  break;
				 case 'D':  $s += 7;  break;
				 case 'E':  $s += 9;  break;
				 case 'F':  $s += 13;  break;
				 case 'G':  $s += 15;  break;
				 case 'H':  $s += 17;  break;
				 case 'I':  $s += 19;  break;
				 case 'J':  $s += 21;  break;
				 case 'K':  $s += 2;  break;
				 case 'L':  $s += 4;  break;
				 case 'M':  $s += 18;  break;
				 case 'N':  $s += 20;  break;
				 case 'O':  $s += 11;  break;
				 case 'P':  $s += 3;  break;
					 case 'Q':  $s += 6;  break;
				 case 'R':  $s += 8;  break;
				 case 'S':  $s += 12;  break;
				 case 'T':  $s += 14;  break;
				 case 'U':  $s += 16;  break;
				 case 'V':  $s += 10;  break;
				 case 'W':  $s += 22;  break;
				 case 'X':  $s += 25;  break;
				 case 'Y':  $s += 24;  break;
				 case 'Z':  $s += 23;  break;
			}
		}

		if( chr($s%26+ord('A'))!=$cf[15] )
			return false;

		return true;
	} 
	private static function validate_business_cf($cf)
	{
		if( preg_match("/^[0-9]{11}\$/sD", $cf) !== 1 )
			return false;
		$s = 0;
		for( $i = 0; $i < 11; $i++ ){
			$n = ord($cf[$i]) - ord('0');
			if( ($i & 1) == 1 ){
				$n *= 2;
				if( $n > 9 )
					$n -= 9;
			}
			$s += $n;
		}
		if( $s % 10 != 0 )
			return false;
		
		return true;
	}
	public function isFormatValid($country, $id)
	{ 
        $id = strtoupper($id); 
        $id = preg_replace('/[ -,.]/', '', $id); 
        if(strlen($id) < 8){ 
            return false; 
        } 
        //$country = substr($id, 0, 2); 
		$id = $country.$id;
        switch($country){ 
            case 'AT': // AUSTRIA 
                $isValid = (bool) preg_match('/^(AT)U(\d{8})$/', $id); 
                break; 
            case 'BE': // BELGIUM 
                //$isValid = (bool) preg_match('/(BE)(0?\d{9})$/', $id); 
                $isValid = (bool) preg_match('/(BE)([0|1]{1}\d{9})$/', $id); 
                break; 
            case 'BG': // BULGARIA 
                $isValid = (bool) preg_match('/(BG)(\d{9,10})$/', $id); 
                break; 
            case 'CH': // Switzerland CHE //NO
                $isValid = (bool) preg_match('/(CH)(\d{9})(MWST)?$/', $id); 
                break; 
            case 'CY': // CYPRUS 
                $isValid = (bool) preg_match('/^(CY)([0-5|9]\d{7}[A-Z])$/', $id); 
                break; 
            case 'CZ': // CZECH REPUBLIC 
                $isValid = (bool) preg_match('/^(CZ)(\d{8,10})(\d{3})?$/', $id); 
                break; 
            case 'DE': // GERMANY 
                $isValid = (bool) preg_match('/^(DE)([1-9]\d{8})/', $id); 
                break; 
            case 'DK': // DENMARK 
                $isValid = (bool) preg_match('/^(DK)(\d{8})$/', $id); 
                break; 
            case 'EE': // ESTONIA 
                $isValid = (bool) preg_match('/^(EE)(10\d{7})$/', $id); 
                break; 
            case 'EL': // GREECE 
                $isValid = (bool) preg_match('/^(EL)(\d{9})$/', $id); 
                break; 
            case 'ES': // SPAIN 
                $isValid = (bool) preg_match('/^(ES)([A-Z]\d{8})$/', $id) 
                    || preg_match('/^(ES)([A-H|N-S|W]\d{7}[A-J])$/', $id) 
                    || preg_match('/^(ES)([0-9|Y|Z]\d{7}[A-Z])$/', $id) 
                    || preg_match('/^(ES)([K|L|M|X]\d{7}[A-Z])$/', $id); 
                break; 
            case 'EU': // EU type 
                $isValid = (bool) preg_match('/^(EU)(\d{9})$/', $id); 
                break; 
            case 'FI': // FINLAND 
                $isValid = (bool) preg_match('/^(FI)(\d{8})$/', $id); 
                break; 
            case 'FR': // FRANCE 
                $isValid = (bool) preg_match('/^(FR)(\d{11})$/', $id) 
                    || preg_match('/^(FR)([(A-H)|(J-N)|(P-Z)]\d{10})$/', $id) 
                    || preg_match('/^(FR)(\d[(A-H)|(J-N)|(P-Z)]\d{9})$/', $id) 
                    || preg_match('/^(FR)([(A-H)|(J-N)|(P-Z)]{2}\d{9})$/', $id); 
                break; 
            case 'GB': // GREAT BRITAIN 
                $isValid = (bool) preg_match('/^(GB)?(\d{9})$/', $id) 
                    || preg_match('/^(GB)?(\d{12})$/', $id) 
                    || preg_match('/^(GB)?(GD\d{3})$/', $id) 
                    || preg_match('/^(GB)?(HA\d{3})$/', $id); 
                break; 
            case 'GR': // GREECE 
                $isValid = (bool) preg_match('/^(GR)(\d{8,9})$/', $id); 
                break; 
            case 'HR': // CROATIA 
                $isValid = (bool) preg_match('/^(HR)(\d{11})$/', $id); 
                break; 
            case 'HU': // HUNGARY 
                $isValid = (bool) preg_match('/^(HU)(\d{8})$/', $id); 
                break; 
            case 'IE': // IRELAND 
                $isValid = (bool) preg_match('/^(IE)(\d{7}[A-W])$/', $id) 
                    || preg_match('/^(IE)([7-9][A-Z\*\+)]\d{5}[A-W])$/', $id) 
                    || preg_match('/^(IE)(\d{7}[A-W][AH])$/', $id); 
                break; 
            case 'IT': // ITALY 
                $isValid = (bool) preg_match('/^(IT)(\d{11})$/', $id); 
                break; 
            case 'LV': // LATVIA 
                $isValid = (bool) preg_match('/^(LV)(\d{11})$/', $id); 
                break; 
            case 'LT': // LITHUNIA 
                $isValid = (bool) preg_match('/^(LT)(\d{9}|\d{12})$/', $id); 
                break; 
            case 'LU': // LUXEMBOURG 
                $isValid = (bool) preg_match('/^(LU)(\d{8})$/', $id); 
                break; 
            case 'MT': // MALTA 
                $isValid = (bool) preg_match('/^(MT)([1-9]\d{7})$/', $id); 
                break; 
            case 'NL': // NETHERLAND 
                $isValid = (bool) preg_match('/^(NL)(\d{9})B\d{2}$/', $id); 
                break; 
            case 'NO': // NORWAY 
                $isValid = (bool) preg_match('/^(NO)(\d{9})$/', $id); 
                break; 
            case 'PL': // POLAND 
                $isValid = (bool) preg_match('/^(PL)(\d{10})$/', $id); 
                break; 
            case 'PT': // PORTUGAL 
                $isValid = (bool) preg_match('/^(PT)(\d{9})$/', $id); 
                break; 
            case 'RO': // ROMANIA 
                $isValid = (bool) preg_match('/^(RO)([1-9]\d{1,9})$/', $id); 
                break; 
            case 'RS': // SERBIA 
                $isValid = (bool) preg_match('/^(RS)(\d{9})$/', $id); 
                break; 
            case 'SI': // SLOVENIA 
                $isValid = (bool) preg_match('/^(SI)([1-9]\d{7})$/', $id); 
                break; 
            case 'SK': // SLOVAK REPUBLIC 
                $isValid = (bool) preg_match('/^(SK)([1-9]\d[(2-4)|(6-9)]\d{7})$/', $id); 
                break; 
            case 'SE': // SWEDEN 
                $isValid = (bool) preg_match('/^(SE)(\d{10}01)$/', $id); 
                break; 
            default: 
                $isValid = false; 
        } 

        return $isValid; 
    } 
	
	//Spain 
	 function is_valid_es_id_number( $docNumber ) 
	 {
        $fixedDocNumber = strtoupper( $docNumber );
		return $this->isValidNIF( $fixedDocNumber ) || $this->isValidNIE( $fixedDocNumber ) /* || $this->isValidCIF( $fixedDocNumber ) */;
    }
   //example: 125487x
    function isValidNIF( $nif ) 
	{
		if(!isset($nif) || strlen($nif) < 8)
			return false;
		
		$nif_codes = 'TRWAGMYFPDXBNJZSQVHLCKE';
        $sum = (string) $this->getCifSum ($nif);
		  $n = 10 - substr($sum, -1);

		  if (preg_match ('/^[0-9]{8}[A-Z]{1}$/', $nif)) {
			// DNIs
			$num = substr($nif, 0, 8);

			return ($nif[8] == $nif_codes[$num % 23]);
		  } elseif (preg_match ('/^[XYZ][0-9]{7}[A-Z]{1}$/', $nif)) {
			// NIEs normales
			$tmp = substr ($nif, 1, 7);
			$tmp = strtr(substr ($nif, 0, 1), 'XYZ', '012') . $tmp;

			return ($nif[8] == $nif_codes[$tmp % 23]);
		  } elseif (preg_match ('/^[KLM]{1}/', $nif)) {
			// NIFs especiales
			return ($nif[8] == chr($n + 64));
		  } elseif (preg_match ('/^[T]{1}[A-Z0-9]{8}$/', $nif)) {
			// NIE extraño
			return true;
		  }

		  return false;
    }
	//example: 12345678Z
    function isValidNIE( $nif ) 
	{
        if (preg_match('/^[XYZT][0-9][0-9][0-9][0-9][0-9][0-9][0-9][A-Z0-9]/', $nif)) 
		{
				for ($i = 0; $i < 9; $i ++){
			  $num[$i] = substr($nif, $i, 1);
			}

			if ($num[8] == substr('TRWAGMYFPDXBNJZSQVHLCKE', substr(str_replace(array('X','Y','Z'), array('0','1','2'), $nif), 0, 8) % 23, 1)) {
			  return true;
			} 
			else 
			{
			  return false;
			}
		}
		return false;
    }
	
	function getCifSum($cif) {
      $sum = $cif[2] + $cif[4] + $cif[6];

      for ($i = 1; $i<8; $i += 2) {
        $tmp = (string) (2 * $cif[$i]);

        $tmp = $tmp[0] + ((strlen ($tmp) == 2) ?  $tmp[1] : 0);

        $sum += $tmp;
      }

      return $sum;
    }
	//End Spain

}
?>