<?php 
class WCEV_AddToCart
{
	var $already_add_to_cart_buttons_modified = array();
	function __construct()
	{
		//add_filter('woocommerce_loop_add_to_cart_link',array( &$this,'remove_shop_page_add_to_cart_buttons' ), 99, 2);
		add_action('init', array( &$this, 'manage_add_to_cart_button_removal'));
	}
	public function manage_add_to_cart_button_removal()
	{
		global $wcev_vat_field_model;
		$hide_prices_to_guests = $wcev_vat_field_model->get_all_options('hide_prices_to_guests'); 
		
		if($hide_prices_to_guests && !is_user_logged_in())
		{
			//Shop page add to cart button
			add_filter('woocommerce_loop_add_to_cart_link',array( &$this,'remove_shop_page_add_to_cart_buttons' ), 99, 2);
			
			//Product page add to cart button
			remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_add_to_cart', 30 ); 
			remove_action( 'woocommerce_simple_add_to_cart', 'woocommerce_simple_add_to_cart', 30 ); 
			remove_action( 'woocommerce_variable_add_to_cart', 'woocommerce_variable_add_to_cart', 30 ); 
			remove_action( 'woocommerce_booking_add_to_cart', 'woocommerce_booking_add_to_cart', 30 ); 
			
			add_action( 'woocommerce_single_product_summary', array( &$this,'remove_single_product_page_add_to_cart_link' ), 30);
			add_action( 'woocommerce_simple_add_to_cart', array( &$this,'remove_single_product_page_simple_add_to_cart_link' ), 30);
			add_action( 'woocommerce_variable_add_to_cart', array( &$this,'remove_single_product_page_variable_add_to_cart_link' ), 30);
			add_action( 'woocommerce_booking_add_to_cart', array( &$this,'remove_single_product_page_booking_add_to_cart_link' ), 30);
		}
	}
	
	public function remove_shop_page_add_to_cart_buttons( $add_to_cart_text, $product ) 
	{
		global $wcev_vat_field_model, $wcev_text_helper;
		
		if(isset($this->already_add_to_cart_buttons_modified[$product->get_id()]))
			return $add_to_cart_text;
				
		$this->already_add_to_cart_buttons_modified[$product->get_id()] = true; 
		
		$hide_prices_to_guests = $wcev_vat_field_model->get_all_options('hide_prices_to_guests'); 
		$texts = $wcev_text_helper->get_texts();
		
		if($hide_prices_to_guests && !is_user_logged_in())
		{
			return $texts["shop_page_price_hidden_text"];
		}
		
		return $add_to_cart_text;
	}
	public function remove_single_product_page_simple_add_to_cart_link()
	{
		$this->remove_single_product_page_add_to_cart_link('simple');
	}
	public function remove_single_product_page_variable_add_to_cart_link()
	{
		$this->remove_single_product_page_add_to_cart_link('variable');
	}
	public function remove_single_product_page_booking_add_to_cart_link()
	{
		$this->remove_single_product_page_add_to_cart_link('booking');
	}
	public function booking_add_to_cart()
	{
		global $product;
		$booking_form = new WC_Booking_Form( $product );
		wc_get_template( 'single-product/add-to-cart/booking.php', array( 'booking_form' => $booking_form ), 'woocommerce-bookings', WC_BOOKINGS_TEMPLATE_PATH );
	}
	public function remove_single_product_page_add_to_cart_link($add_to_cart_code = 'simple') 
	{
		global $post, $was_product_model, $product, $wcev_vat_field_model, $wcev_text_helper;
		
		$add_to_cart_code = !isset($add_to_cart_code) || $add_to_cart_code == '' ? $product->get_type() : $add_to_cart_code; //"none"
		
		if(isset($this->already_add_to_cart_buttons_modified[$add_to_cart_code]) && isset($this->already_add_to_cart_buttons_modified[$add_to_cart_code][$post->ID]))
			return; 
		
		if(!isset($this->already_add_to_cart_buttons_modified[$add_to_cart_code]))
			$this->already_add_to_cart_buttons_modified[$add_to_cart_code] = array();
		
		$this->already_add_to_cart_buttons_modified[$add_to_cart_code][$post->ID] = true; 
		
		//$hide_prices_to_guests = $wcev_vat_field_model->get_all_options('hide_prices_to_guests'); 
		$texts = $wcev_text_helper->get_texts();
		
		//if($hide_prices_to_guests && !is_user_logged_in())
		{
			echo $texts["product_page_price_hidden_text"];
			return ;
		}
		/* else 
		{
			switch($add_to_cart_code)
			{
				case 'none': woocommerce_template_single_add_to_cart(); break;
				case 'simple': woocommerce_simple_add_to_cart(); break;
				case 'variable': woocommerce_variable_add_to_cart(); break;
				case 'booking': $this->booking_add_to_cart(); break;
			}
			
		} */
	}
}
?>