<?php 
class WCEV_BillingDetailsPage
{
	public function __construct()
	{
		//My account -> user details -> on save
		//add_action( 'woocommerce_save_account_details', array( &$this,'my_account_page_validate_fields_before_saving') );
		
		//My account -> billing details
		add_filter( 'woocommerce_process_myaccount_field_billing_eu_vat', array( &$this,'my_account_page_validate_fields_before_saving') );
		//add_filter( 'woocommerce_after_add_to_cart_button', array( &$this,'variable_dump') );
		add_action('woocommerce_order_details_after_customer_details', array( &$this,'add_eu_vat_field_to_customer_details_table' ));
	}
	public function variable_dump()
	{
		wcev_var_dump(WC()->customer->is_vat_exempt( ));
	}
	public function my_account_page_validate_fields_before_saving()
	{
		global $wcev_vat_field_model, $wcev_text_helper, $wcev_vat_field_model, $wcev_customer_model;
		$texts = $wcev_text_helper->get_texts();
		$is_required = $wcev_vat_field_model->get_all_options('is_required'); 
		$perform_uniqueness_check = $wcev_vat_field_model->get_all_options('enable_uniqueness_check'); 
		$enable_validation = $wcev_vat_field_model->get_all_options('enable_validation'); 
		$billing_eu_vat = isset($_POST['billing_eu_vat']) && $_POST['billing_eu_vat'] != "" ? $_POST['billing_eu_vat'] : null;
		$is_valid = !isset($_POST['billing_country']) || $billing_eu_vat == null ? false : $wcev_vat_field_model->validate_vat($_POST['billing_country'], $_POST['billing_eu_vat']);
		//unique
		$already_associated = $perform_uniqueness_check ? $wcev_customer_model->is_vat_number_already_associated_to_a_customer($billing_eu_vat) : false;
		
		$result = $wcev_vat_field_model->check_mandatory_fields_according_posted_data();
		$is_required_according_conditiona_selection = $result['eu_vat'];
		$is_required = $result['eu_vat'];
			
		//Italy SDI/Pec
		$wcev_vat_field_model->validate_extra_country_specific_fields($_POST);
		
		if($already_associated)
			wc_add_notice(  $texts['unique_vat_number_check_fail_text'] ,'error');
		if(($is_required && !$is_valid) || ($is_required_according_conditiona_selection && $billing_eu_vat != null && $enable_validation && !$is_valid)  )
			wc_add_notice(  $texts['error_text'] ,'error'); 
		
		return wcev_get_value_if_set($_POST, 'billing_eu_vat', "");
	}
	public function add_eu_vat_field_to_customer_details_table($order )
	{
		global $wcev_customer_model,$wcev_order_model,$wcev_vat_field_model, $wcev_text_helper;
	
	
		$field_options = $wcev_vat_field_model->get_all_options();
		$vat_number = $wcev_order_model->get_vat_number(WCEV_Order::get_id($order));
		$it_sid_pec = $wcev_order_model->get_it_sid_pec(WCEV_Order::get_id($order));
		$it_cod_fiscale = $wcev_order_model->get_codice_fiscale(WCEV_Order::get_id($order));
		$es_nif_nie = $wcev_order_model->get_billing_es_nif_nie(WCEV_Order::get_id($order));
		$gr_tax_office = $wcev_order_model->get_billing_gr_tax_office(WCEV_Order::get_id($order));
		$gr_business_activity = $wcev_order_model->get_billing_gr_business_activity(WCEV_Order::get_id($order));
		$cz_company_id = $wcev_order_model->get_billing_cz_company_id(WCEV_Order::get_id($order));
		$sk_company_id = $wcev_order_model->get_billing_sk_company_id(WCEV_Order::get_id($order));
		$sk_company_dic = $wcev_order_model->get_billing_sk_company_dic(WCEV_Order::get_id($order));
		$billing_country = $order->get_billing_country();
		$texts = $wcev_text_helper->get_texts();
		
		if($vat_number || $it_cod_fiscale) 
		{
			?>
			
			<h2 style="margin-top: 20px;"><?php _e('Additional billing info', 'woocommerce-eu-vat-field'); ?></h2>
			<address>
				<?php if($vat_number): ?>
				<?php _e('Vat Number', 'woocommerce-eu-vat-field'); ?>: <?php echo esc_html( $vat_number ); ?>
				<?php endif; ?>
				
				<?php if($vat_number && $it_sid_pec && $billing_country == 'IT'): ?>
				<br/>
				<?php echo $texts['it_sid_pec_label']; /* _e('SDI/Pec', 'woocommerce-eu-vat-field'); */ ?>: <?php echo $it_sid_pec ; ?>
				<?php endif; ?>
				
				<?php if($it_cod_fiscale && $billing_country == 'IT'): ?>
				<?php if($vat_number): ?><br/><?php endif; ?>
				<?php echo $texts['it_cod_fiscale_label'];?>: <?php echo $it_cod_fiscale ; ?>
				<?php endif; ?>
				
				<?php if($vat_number && $es_nif_nie && $billing_country == 'ES'): ?>
				<br/>
				<?php echo $texts['es_nif_nie_label']; ?>: <?php echo $es_nif_nie ; ?>
				<?php endif; ?>
				
				<?php if($vat_number && $gr_tax_office && $billing_country == 'GR'): ?>
				<br/>
				<?php echo $texts['gr_tax_office_label']; ?>: <?php echo $gr_tax_office ; ?>
				<?php endif; ?>
				
				<?php if($vat_number && $gr_business_activity && $billing_country == 'GR'): ?>
				<br/>
				<?php echo $texts['gr_business_activity_label']; ?>: <?php echo $gr_business_activity ; ?>
				<?php endif; ?>
				
				<?php if($vat_number && $cz_company_id && $billing_country == 'CZ'): ?>
				<br/>
				<?php echo $texts['cz_company_id_label']; ?>: <?php echo $cz_company_id ; ?>
				<?php endif; ?>
				
				<?php if($vat_number && $sk_company_id && $billing_country == 'SK'): ?>
				<br/>
				<?php echo $texts['sk_company_id_label']; ?>: <?php echo $sk_company_id ; ?>
				<?php endif; ?>
				
				<?php if($vat_number && $sk_company_dic && $billing_country == 'SK'): ?>
				<br/>
				<?php echo $texts['sk_company_dic_label']; ?>: <?php echo $sk_company_dic ; ?>
				<?php endif; ?>
				
				<?php if($vat_number && $field_options['show_require_invoice_option']): ?>
				<br/>
				<?php _e('Invoice requested', 'woocommerce-eu-vat-field'); ?>: <?php echo $wcev_order_model->was_invoice_requested(WCEV_Order::get_id($order)) ? __('Yes', 'woocommerce-eu-vat-field') :  __('No', 'woocommerce-eu-vat-field') ; ?>
				<?php endif; ?>
			</address>

			<?php 
			
			return;
			
			
			//Old
			?>
			<tr>
					<th><?php _e('Vat Number', 'woocommerce-eu-vat-field'); ?></th>
					<td><?php echo esc_html( $vat_number ); ?></td>
				</tr>
			
			<?php
			if($field_options['show_require_invoice_option']):
				?> 
				<tr>
					<th><?php _e('Invoice requested', 'woocommerce-eu-vat-field'); ?></th>
					<td><?php echo $wcev_order_model->was_invoice_requested(WCEV_Order::get_id($order)) ? __('Yes', 'woocommerce-eu-vat-field') :  __('No', 'woocommerce-eu-vat-field') ; ?></td>
				</tr>
				<?php
			endif;
		}
	}
}
?>