<?php 
class WCEV_CartTable
{
	public function __construct()
	{
		add_action('woocommerce_cart_totals_after_order_total', array(&$this, 'add_vat_exempt_text'));
		add_action('woocommerce_review_order_after_order_total', array(&$this, 'add_vat_exempt_text'));
		
		add_action('woocommerce_cart_loaded_from_session', array(&$this, 'remove_items'));
		add_action('woocommerce_add_to_cart_validation', array(&$this, 'cart_add_to_validation'), 10, 5);
		add_action('woocommerce_update_cart_validation', array(&$this, 'cart_update_validation'), 10, 4);
	}
	function add_vat_exempt_text()
	{
		global $wcev_customer_model, $wcev_vat_field_model, $wcev_text_helper;
		
		 if(!$wcev_customer_model->is_vat_exempt() || !$wcev_vat_field_model->get_all_options('show_reverse_charge_text_on_cart_table'))
			return; 
		
		$texts = $wcev_text_helper->get_texts();
		$vat_reverse_charge_text = $texts['reverse_charge_label'];
		?>
			<tr class="order-total">
				<th></th>
				<td ><?php echo $vat_reverse_charge_text; ?></td>
			</tr>
		<?php 
	}
	function remove_items($session_obj)
	{
		global $wcev_vat_field_model, $wcev_text_helper;
		$hide_prices_to_guests = $wcev_vat_field_model->get_all_options('hide_prices_to_guests'); 
		
		if($hide_prices_to_guests && !is_user_logged_in())
			WC()->cart->empty_cart();
		
	}
	public function cart_add_to_validation( $original_result, $product_id, $quantity , $variation_id = 0, $variations = null )
	{
		global $wcev_vat_field_model, $wcev_text_helper;
		$hide_prices_to_guests = $wcev_vat_field_model->get_all_options('hide_prices_to_guests'); 
		
		if($hide_prices_to_guests && !is_user_logged_in())
		{
			WC()->cart->empty_cart();
			wc_add_notice( __("You are not allowed to purchase this product.", 'woocommerce-eu-vat-field') ,'error');
			return false;
		}
		
		return $original_result;
	}
	//Update cart
	public function cart_update_validation($original_result, $cart_item_key, $values, $quantity )
	{
		global $wcev_vat_field_model, $wcev_text_helper;
		$hide_prices_to_guests = $wcev_vat_field_model->get_all_options('hide_prices_to_guests'); 
		
		if($hide_prices_to_guests && !is_user_logged_in())
		{
			WC()->cart->empty_cart();
			wc_add_notice( __("You are not allowed to purchase this product.") ,'error');
			return false;
		}
		
		return $original_result;
	}
}
?>