<?php 
class WCEV_CheckoutPage
{
	public function __construct()
	{
		/* add_action('wc_ajax_update_order_review', array(&$this,'validate_vat_field_and_remove_tax'));
		add_action('wc_ajax_nopriv_update_order_review', array(&$this,'validate_vat_field_and_remove_tax')); */
		add_action('woocommerce_checkout_update_order_review', array(&$this,'validate_vat_field_and_remove_tax'));
		add_action('woocommerce_checkout_process', array( &$this, 'validate_field_before_order_is_placed' ), 1); 
		//add_action( 'wp_loaded', array(&$this, 'init') );	
		add_filter( 'woocommerce_get_price_including_tax', array(&$this, 'remove_tax_from_product_price'),10,3 );	
	}
	/* public function init()
	{
		if(version_compare( WC_VERSION, '2.7', '<' ))
		{
			add_filter('woocommerce_get_price', array(&$this, 'remove_tax_from_product_price'), 12, 2 ); 
			add_filter('woocommerce_get_regular_price', array(&$this, 'remove_tax_from_product_price'), 12, 2 ); 
		}
		else 
		{
			add_filter('woocommerce_product_get_price', array(&$this, 'remove_tax_from_product_price'), 12, 2 ); 
			add_filter('woocommerce_product_get_regular_price', array(&$this, 'remove_tax_from_product_price'), 12, 2 ); 
			add_filter('woocommerce_product_variation_get_price', array(&$this, 'remove_tax_from_product_price'), 12, 2 ); 
			add_filter('woocommerce_product_variation_get_regular_price', array(&$this, 'remove_tax_from_product_price'), 12, 2 ); 
		}
	} */
	function remove_tax_from_product_price($return_price, $qty, $product) 
	{
		global $wcev_customer_model, $wcev_vat_field_model;
		$options = $wcev_vat_field_model->get_all_options();
		/* wcev_var_dump($wcev_customer_model->is_vat_exempt());
		wcev_var_dump($price." -> ".WCEV_Product::get_product_price_excluding_taxes($product, $price));
		return $wcev_customer_model->is_vat_exempt() ? WCEV_Product::get_product_price_excluding_taxes($product, $price) : $price; */
		if(@is_checkout() && $options['tax_removal'])
			return $wcev_customer_model->is_vat_exempt() ? $product->get_regular_price('none') * $qty : $return_price;
		
		return $return_price;
	}
	public function validate_vat_field_and_remove_tax($posted_data, $unserialized = false)
	{
		global $woocommerce, $wcev_vat_field_model, $wcev_country_helper, $wcev_text_helper, $wcev_customer_model;
		$cart = WC()->cart;
		$params = array();
		$options = $wcev_vat_field_model->get_all_options();
		$texts = $wcev_text_helper->get_texts();
		$validation_result = true;
		$perform_uniqueness_check = $options['enable_uniqueness_check']; 
		
		if(!$unserialized)
			//parse_str($_POST["post_data"],$params);
			parse_str($posted_data,$params);
		else
			$params = $posted_data;
		
		
		//Extra checkout fiels (SDI, Codice Fiscale, ...) 
		$wcev_vat_field_model->validate_extra_country_specific_fields($params);
		
		if(WC()->customer == null || $options['disable_eu_vat_field'] || !isset($params['billing_eu_vat']) || empty($params['billing_eu_vat']))
		{
			$wcev_customer_model->set_vat_exemption(false);
			return;
		}		
		
		//unique
		if(isset($params['billing_eu_vat']) && $perform_uniqueness_check && $wcev_customer_model->is_vat_number_already_associated_to_a_customer($params['billing_eu_vat']))
		{
			wc_add_notice( $texts['unique_vat_number_check_fail_text'] ,'error'); 
		}
		
		$is_extra_eu = $params['billing_eu_vat'] != "" && !$wcev_country_helper->isEU($params['billing_country']);
		if(isset($params['billing_eu_vat']) && isset($params['billing_country']) && $params['billing_eu_vat'] != "" && $wcev_country_helper->isEU($params['billing_country']))
		{
			$validation_result = $wcev_vat_field_model->validate_vat($params['billing_country'], $params['billing_eu_vat']);
			
			if( $validation_result == true)
			{
				$user_location = isset($params['billing_country']) ? $params['billing_country'] : 'none';
				
				//wcev_var_dump($wcev_customer_model->is_elegible_for_vat_exemption($user_location));
				if($wcev_customer_model->is_elegible_for_vat_exemption($user_location))
				{
					 $wcev_customer_model->set_vat_exemption(true);
				}
				else
				{
					$wcev_customer_model->set_vat_exemption(false);
				}
			}
			else
			{
				$wcev_customer_model->set_vat_exemption(false);
			}
		}
		else
		{
			if($options['always_show_the_field'] && $params['billing_eu_vat'] != "" && $is_extra_eu && $options['tax_removal'])
				$wcev_customer_model->set_vat_exemption(true);
			else
				$wcev_customer_model->set_vat_exemption(false);
		}
			
		
		if( $validation_result != true)
		{
			if($validation_result != false )
				wc_add_notice( __('Connection error, EU Vat number validation failed. Please retry to submit the order.', 'woocommerce-eu-vat-field') ,'error'); 
			else
				wc_add_notice( $texts['error_text'] ,'error'); 
		}
		
	}
	public function validate_field_before_order_is_placed()
	{
		global $wcev_vat_field_model, $wcev_text_helper;
		$hide_prices_to_guests = $wcev_vat_field_model->get_all_options('hide_prices_to_guests'); 
		
		//B2B check: if guest user tryes to purchase any product, the cart will be emptied and checkout stopped
		if($hide_prices_to_guests && !is_user_logged_in())
		{
			WC()->cart->empty_cart();
			wc_add_notice( __("You are not allowed to purchase this product.") ,'error');
			return false;
		}
		
		$this->validate_vat_field_and_remove_tax($_POST, true); 
		
		//wc_add_notice( "test" ,'error');
	}
}
?>