<?php 
/*
Plugin Name: WooCommerce EU Vat & B2B
Description: EU Vat Field & B2B managment for WooCommerce.
Author: https://www.20script.ir
Version: 10.5
WC requires at least: 3.2.0
WC tested up to: 4.7.0
*/

/* 
Copyright: WooCommerce EU Vat Field uses the ACF PRO plugin. ACF PRO files are not to be used or distributed outside of the WooCommerce EU Vat Field plugin.
*/


/* Const */
define('WCEV_PLUGIN_PATH', rtrim(plugin_dir_url(__FILE__), "/") ) ;
define('WCEV_PLUGIN_ABS_PATH', dirname( __FILE__ ) ); ///ex.: "woocommerce/wp-content/plugins/woocommerce-eu-vat-field"
define('WCEV_PLUGIN_LANG_PATH', basename( dirname( __FILE__ ) ) . '/languages' ) ;

if ( !defined('WP_CLI') && ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ||
					   (is_multisite() && array_key_exists( 'woocommerce/woocommerce.php', get_site_option('active_sitewide_plugins') ))
					 )	
	)
{
	//For some reasins the theme editor in some installtion won't work. This directive will prevent that.
	if(isset($_POST['action']) && $_POST['action'] == 'edit-theme-plugin-file')
		return;
	
	if(isset($_REQUEST ['context']) && $_REQUEST['context'] == 'edit') //rest api
		return;
		
	if(isset($_POST['action']) && strpos($_POST['action'], 'health-check') !== false) //health check
		return;
		
	$wcev_id = 19463373;
	$wcev_name = "WooCommerce Eu Vat & B2B";
	$wcev_activator_slug = "wcev-activator";
	
	/* Classes Init */
	include_once( "classes/com/WCEV_Acf.php"); 
	include_once( "classes/com/WCEV_Globals.php"); 
	require_once("classes/com/vendor/vatValidation.class.php");
	require_once("classes/admin/WCEV_ActivationPage.php");

	add_action('init', 'wcev_init');
	add_action('admin_notices', 'wcev_admin_notices' );
	add_action('admin_menu', 'wcev_init_act');
	if(defined('DOING_AJAX') && DOING_AJAX)
		wcev_init_act();
	//add_action( 'wp_print_scripts', 'wcev_unregister_css_and_js' );
}

/* Functions */
function wcev_init()
{
	/* Languages */
	load_plugin_textdomain('woocommerce-eu-vat-field', false, basename( dirname( __FILE__ ) ) . '/languages' );
	/* if(is_admin())
		wcev_init_act(); */
}
function wcev_init_act()
{
	global $wcev_activator_slug, $wcev_name, $wcev_id;
	new WCEV_ActivationPage($wcev_activator_slug, $wcev_name, 'woocommerce-eu-vat-field', $wcev_id, WCEV_PLUGIN_PATH);
}
function wcev_admin_notices()
{
	global $wcev_notice, $wcev_name, $wcev_activator_slug;
	if($wcev_notice && (!isset($_GET['page']) || $_GET['page'] != $wcev_activator_slug))
	{
		 ?>
		<div class="notice notice-success">
			<p><?php echo sprintf(__( 'To complete the <span style="color:#96588a; font-weight:bold;">%s</span> plugin activation, you must verify your purchase license. Click <a href="%s">here</a> to verify it.', 'woocommerce-eu-vat-field' ), $wcev_name, get_admin_url()."admin.php?page=".$wcev_activator_slug); ?></p>
		</div>
		<?php
	}
}
function wcev_setup()
{
	global $wcev_wpml_helper, $wcev_text_helper, $wcev_vat_field_model, $wcev_country_helper, $wcev_order_model, $wcev_customer_model,
	$wcev_email_helper, $wcev_product_model, $wcev_option_page, $wcev_text_customizer_page, $wcev_order_details_page, $wcev_user_profile_page,
	$wcev_orders_list_page, $wcev_checkout_page, $wcev_billing_details_page, $wcev_thankyou_page, $wcev_all_page, $wcev_cart_table,
	$wcev_register_page;
	
	//com
	if(!class_exists('WCEV_Wpml'))
	{
		require_once('classes/com/WCEV_Wpml.php');
		$wcev_wpml_helper = new WCEV_Wpml();
	} 
	if(!class_exists('WCEV_Text'))
	{
		require_once('classes/com/WCEV_Text.php');
		$wcev_text_helper = new WCEV_Text();
	} 
	if(!class_exists('WCEV_VatField'))
	{
		require_once('classes/com/WCEV_VatField.php');
		$wcev_vat_field_model = new WCEV_VatField();
	} 
	if(!class_exists('WCEV_Country'))
	{
		require_once('classes/com/WCEV_Country.php');
		$wcev_country_helper = new WCEV_Country();
	} 
	if(!class_exists('WCEV_Order'))
	{
		require_once('classes/com/WCEV_Order.php');
		$wcev_order_model = new WCEV_Order();
	} 
	if(!class_exists('WCEV_Customer'))
	{
		require_once('classes/com/WCEV_Customer.php');
		$wcev_customer_model = new WCEV_Customer();
	} 
	if(!class_exists('WCEV_Email'))
	{
		require_once('classes/com/WCEV_Email.php');
		$wcev_email_helper = new WCEV_Email();
	} 
	if(!class_exists('WCEV_Product'))
	{
		require_once('classes/com/WCEV_Product.php');
		$wcev_product_model = new WCEV_Product();
	} 
	
	//admin
	if(!class_exists('WCEV_TicketTablePage'))
	{
		require_once('classes/admin/WCEV_OptionPage.php');
		$wcev_option_page = new WCEV_OptionPage();
	}
	if(!class_exists('WCEV_TextCustomizerPage'))
	{
		require_once('classes/admin/WCEV_TextCustomizerPage.php');
		$wcev_text_customizer_page = new WCEV_TextCustomizerPage();
	}
	if(!class_exists('WCEV_OrderDetailsPage'))
	{
		require_once('classes/admin/WCEV_OrderDetailsPage.php');
		$wcev_order_details_page = new WCEV_OrderDetailsPage();
	}
	if(!class_exists('WCEV_UserProfilePage')) 
	{
		require_once('classes/admin/WCEV_UserProfilePage.php');
		$wcev_user_profile_page = new WCEV_UserProfilePage();
	}
	if(!class_exists('WCEV_OrdersListPage')) 
	{
		require_once('classes/admin/WCEV_OrdersListPage.php');
		$wcev_orders_list_page = new WCEV_OrdersListPage();
	}
	
	//frontend
	if(!class_exists('WCEV_CheckoutPage'))
	{
		require_once('classes/frontend/WCEV_CheckoutPage.php');
		$wcev_checkout_page = new WCEV_CheckoutPage();
	}
	if(!class_exists('WCEV_BillingDetailsPage'))
	{
		require_once('classes/frontend/WCEV_BillingDetailsPage.php');
		$wcev_billing_details_page = new WCEV_BillingDetailsPage();
	}
	if(!class_exists('WCEV_ThankyouPage'))
	{
		require_once('classes/frontend/WCEV_ThankyouPage.php');
		$wcev_thankyou_page = new WCEV_ThankyouPage();
	}
	if(!class_exists('WCEV_AllPages'))
	{
		require_once('classes/frontend/WCEV_AllPages.php');
		$wcev_all_page = new WCEV_AllPages();
	}
	if(!class_exists('WCEV_CartTable'))
	{
		require_once('classes/frontend/WCEV_CartTable.php');
		$wcev_cart_table = new WCEV_CartTable();
	}
	if(!class_exists('WCEV_RegisterPage'))
	{
		require_once('classes/frontend/WCEV_RegisterPage.php');
		$wcev_register_page = new WCEV_RegisterPage();
	}
	if(!class_exists('WCEV_B2BText'))
	{
		require_once('classes/frontend/WCEV_B2BText.php');
		new WCEV_B2BText();
	}

	/* Actions */
	add_action('admin_menu', 'wcev_init_admin_panel');
}
function wcev_unregister_css_and_js($enqueue_styles)
{
	
}
function wcev_init_admin_panel()
{ 
	$place = wcev_get_free_menu_position(69 , .1);
	$cap = 'edit_users';
	
	//__('EU Vat field - Options', 'woocommerce-eu-vat-field'),

}
function wcev_get_free_menu_position($start, $increment = 0.1)
{
	foreach ($GLOBALS['menu'] as $key => $menu) {
		$menus_positions[] = $key;
	}
	
	if (!in_array($start, $menus_positions)) return $start;

	/* the position is already reserved find the closet one */
	while (in_array($start, $menus_positions)) 
	{
		$start += $increment;
	}
	return (string)$start;
}
function wcev_var_dump($var)
{
	echo "<pre>";
	var_dump($var);
	echo "</pre>";
}
?>